regression: uvcvideo module makes "cannot reset port" error on usb with bison webcam (5986:0203): USB and suspend fails

Bug #435352 reported by Jorge Juan on 2009-09-23
868
This bug affects 180 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Karmic
High
Canonical Kernel Team

Bug Description

(This bug report supersedes bug #427327)

On my MSI Wind with bison webcam (5986:0203) most of the time I boot karmic (2.6.31-10.35 kernel) I get these error in dmesg:

[ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000 -> -110
[ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB cable is bad?

As a consequence the system will fail to suspend and recognize USB mass storage devices, which is a main problem.

Further investigation shows it only happens when the uvcvideo module is loaded.

System works well if uvcvideo is not loaded, either by disabling the webcam before rebooting (FN+F6) or by blacklisting the uvcvideo module in /etc/modconf.d/.

If I blacklist uvcvideo and load it manually after boot (modprobe) the same thing happens: most of the time I get "cannot reset port" error and USB storage and suspend is non-functional from then on.

In very rare occasions (1 in 10 or less) the system loads uvcvideo and does not give "cannot reset port" errors and all suspend, USB storage and webcam are functional.

This is a regression since it does not happen with ubuntu 9.04: I have used 9.04 for months before and it also works well if I boot with 9.04-netbook-remix usb image.

Considering that the MSI Wind and its several clones are quite popular and that this bug will make suspend and USB unfunctional, it may have a quite big impact on ubuntu users, specially the netbook-remix friends.

ProblemType: Bug
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jjchico 1879 F.... pulseaudio
CRDA: Error: [Errno 2] No existe el fichero ó directorio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xffe00000 irq 16'
   Mixer name : 'Realtek ALC1200'
   Components : 'HDA:10ec0888,14620110,00100101'
   Controls : 21
   Simple ctrls : 13
Date: Wed Sep 23 17:19:36 2009
DistroRelease: Ubuntu 9.10
MachineType: MICRO-STAR INTERNATIONAL CO., LTD U-100
Package: linux-image-2.6.31-10-generic 2.6.31-10.35
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-10-generic root=UUID=b18af3c8-62ae-4d9c-b27e-9ed6aa137ff1 ro quiet splash
ProcEnviron:
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.35-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-10-generic N/A
 linux-firmware 1.19
RfKill:

SourcePackage: linux
Tags: ubuntu-unr
Uname: Linux 2.6.31-10-generic i686
dmi.bios.date: 07/16/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 4.6.3
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: U-100
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.board.version: Ver.001
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.chassis.version: Ver.001
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr4.6.3:bd07/16/2008:svnMICRO-STARINTERNATIONALCO.,LTD:pnU-100:pvrVer.001:rvnMICRO-STARINTERNATIONALCO.,LTD:rnU-100:rvrVer.001:cvnMICRO-STARINTERNATIONALCO.,LTD:ct3:cvrVer.001:
dmi.product.name: U-100
dmi.product.version: Ver.001
dmi.sys.vendor: MICRO-STAR INTERNATIONAL CO., LTD

Jorge Juan (jjchico) wrote :
ThomasEgi (antitron) wrote :

i can confirm the issue for the MSI Wind u90, with an
BisonCam, NB Pro (5986:0141)
if activated no usb devices work.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
ThomasEgi (antitron) wrote :

shouldnt we change the priority to high?
according to the priority chart

# Makes a default Ubuntu installation generally unusable for some users
    * For example, if the system fails to boot, or X fails to start, on a certain make and model of computer
(since it breaks default installation, no usb-hardware works, no external mouse, no external storage, no external keyboard etc
installing ubuntu on a netbook from an usb-stick or external cd might be problematic too)

# A problem with an essential hardware component (disk controller, laptop built-in wireless, video card, keyboard, mouse)
(since it renders the usb-controller useless.. as mentioned above)

[ 8.160759] uvcvideo: Found UVC 1.00 device BisonCam, NB Pro (5986:0203)
...running fsck in the meantime...
[ 102.188017] ehci_hcd 0000:00:1d.7: force halt; handhake f803a024 00004000 00000000 -> -110
[ 102.191531] hub 1-0:1.0: cannot reset port 6 (err = -108)

root@machine:~# lsmod | grep uvc
uvcvideo 59016 0
videodev 36672 1 uvcvideo
v4l1_compat 14496 2 uvcvideo,videodev

On my LG X110-L.A7SAG (which is quite a clone of MSI Wind) running Jaunty with the Kernel Backports ppa of user a7x, this happens since udev 145-1 appeared, and through the kernel 2.6.31-X rc-pre-releases until current 2.6.31-10.34 and udev 147. Earlier (without packages requiring newer udev) the ehci_hcd force halt didn't happen when udev was held on Jaunty's 141-1.2.

Symptoms are very similar to the original report. Found it happens always after cold start (power off, USB devices without power, power cable disconnected before). 50/50 when rebooting warm with "init 6". When ehci_hcd force halt doesn't occur after reboot, system is running stable and USB 2.0 devices work normal (external DVB-T stick (dib0700) and external generic USB storage). Changing/Removing USB devices shows no effect, the devices are plugged in before start.

I noticed (and this seems to be normal, I'dont know if it's important) boot behaviour on USB is different in cold/warm start. The light of my GSM modem (Huawei E169G on USB 1.1) shows a reset on cold boot and normal operation on warm boot. The 2.0 devices don't indicate, means I cannot see if they are reset or not at cold boot. syslog doesn't tell what happens.

echi_hcd force halt during boot always happens *after* devices are detected and DVB-T stick is initialized successfully (with successful firmware load on cold boot). I suspected a coincidence with hal start but upgrade to hal 0.5.13-1ubuntu7 didn't help. I appreciate debug hints.

syslog extract attached.

flabbergast (s3) wrote :

I can confirm the same problem with Mivvy m310 (another MSI Wind clone). In addition, the camera does not work at all (which is expected when it is turned off, but even when on, uvcvideo module loaded, it does not show in the list of video devices in programs (tried skype and cheese)).

Also, in another distribution, the same problem appears with 2.6.31 kernel, and works fine with a 2.6.30.* kernels.

Jorge Juan (jjchico) wrote :

Hi!

The issue is still there with new 2.6.31-11.36 kernel.

Linux jjchico-netbook 2.6.31-11-generic #36-Ubuntu SMP Fri Sep 25 06:37:51 UTC 2009 i686 GNU/Linux

dmesg just after modprobe uvcvideo (it is blacklisted on boot) and trying to suspend:
...
[ 244.778706] Linux video capture interface: v2.00
[ 244.808507] uvcvideo: Found UVC 1.00 device BisonCam, NB Pro (5986:0203)
[ 244.826401] input: BisonCam, NB Pro as /devices/pci0000:00/0000:00:1d.7/usb1/1-5/1-5:1.0/input/input10
[ 244.827019] usbcore: registered new interface driver uvcvideo
[ 244.829607] USB Video Class driver (v0.1.0)
[ 244.870043] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000 -> -110
[ 246.118062] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 246.118091] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 246.118112] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 246.118132] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 246.118153] hub 1-0:1.0: cannot reset port 6 (err = -108)
[ 246.118168] hub 1-0:1.0: Cannot enable port 6. Maybe the USB cable is bad?
[ 246.118191] hub 1-0:1.0: cannot disable port 6 (err = -108)
...
[ 365.863414] CPU0 attaching NULL sched-domain.
[ 365.863428] CPU1 attaching NULL sched-domain.
[ 365.877281] CPU0 attaching sched-domain:
[ 365.877298] domain 0: span 0-1 level SIBLING
[ 365.877312] groups: 0 1
[ 365.877334] CPU1 attaching sched-domain:
[ 365.877344] domain 0: span 0-1 level SIBLING
[ 365.877363] groups: 1 0
[ 366.289055] ERROR!!! RTMPCancelTimer failed, Timer hasn't been initialize!
[ 366.749986] PM: Syncing filesystems ... done.
[ 366.753729] PM: Preparing system for mem sleep
[ 366.753737] Freezing user space processes ... (elapsed 0.00 seconds) done.
[ 366.755351] Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
[ 366.755552] PM: Entering mem sleep
[ 366.755573] Suspending console(s) (use no_console_suspend to debug)
[ 366.776175] uvcvideo: Failed to set UVC commit control : -108 (exp. 26).
[ 366.776189] uvcvideo 1-5:1.1: resume error -5
[ 366.776212] pm_op(): usb_dev_suspend+0x0/0x10 returns -108
[ 366.776223] PM: Device 1-5 failed to suspend: error -108
[ 366.776231] PM: Some devices failed to suspend
[ 366.830565] uvcvideo: Failed to set UVC commit control : -108 (exp. 26).
[ 366.830579] uvcvideo 1-5:1.1: resume error -5
[ 366.948329] PM: resume devices took 0.172 seconds
[ 366.948350] PM: Finishing wakeup.
[ 366.948354] Restarting tasks ... done.
...

I would also set severity to high since it is very popular hardware. I also have asked for nomination for karmic. If it is not scheduled for karmic there will be thousands of netbooks over there that will become unusable (no USB, no suspend, ...) after upgrading to karmic. At least, uvcvideo should be blacklisted from these devices and commented in the release notes.

luke.varnadore (luke-varnadore) wrote :

I have this bug, I also have bug #439768. I think they are related.

RatSon (materemias) wrote :

i have the same bug on Wind U100 with latest Karmic

Jorge Juan (jjchico) wrote :

Hi!

The issue is still there with new 2.6.31-11.38 kernel.

jorge.

Zachary Klein (zak) wrote :

I have the same issue with the latest update to Karmic.

I hope this gets resolved.

Codrut (spam-zt) wrote :

the bug is also present in kernel 2.6.31-12-generic

-------------------------------------
luvcview 0.2.4

SDL information:
  Video driver: x11
  A window manager is available
Device information:
  Device path: /dev/video0
ERROR opening V4L interface: Cannot send after transport endpoint shutdown
------------------------------------

obviously, other usb devices won't work

Zorael (zorael) wrote :

I have a MSI Wind U100 rebrand (Advent 4211), and I get this too. Mine has a (0c45:62c0) Microdia Sonix USB 2.0 Camera though. Confirming it's also happening with the new 2.6.31-12 kernel.

And +1 to raising importance. If the camera is enabled during boot (and there is no led to signal whether it is), the system is pretty much borked with no inclination as to why. Already connected usb devices seem to work, but it doesn't react when connecting any new ones (no dmesg messages at all).

One workaround is to "deauthorize" the usb hub (by piping 0 to /sys/bus/usb/devices/usb1/authorized) and then authorizing it again after a few seconds. USB devices gets enumerated, and even the camera works. But if you start toggling the camera it breaks down again. It's more of a recovery method if you accidentally booted with the camera enabled.

flabbergast (s3) wrote :

In my case, upgrading to 2.6.31-12 solved the issue. The camera now works in cheese.
from dmesg:
...
[ 117.048142] usb 1-5: new high speed USB device using ehci_hcd and address 3
[ 117.447313] usb 1-5: configuration #1 chosen from 1 choice
[ 117.583501] Linux video capture interface: v2.00
[ 117.600079] uvcvideo: Found UVC 1.00 device BisonCam, NB Pro (5986:0203)
[ 117.621921] input: BisonCam, NB Pro as /devices/pci0000:00/0000:00:1d.7/usb1/1-5/1-5:1.0/input/input9
[ 117.622085] usbcore: registered new interface driver uvcvideo
[ 117.622097] USB Video Class driver (v0.1.0)
[ 129.810453] uvcvideo: UVC non compliance - GET_MIN/MAX(PROBE) incorrectly supported. Enabling workaround.
[ 129.880095] uvcvideo: device BisonCam, NB Pro requested null bandwidth, defaulting to lowest.
...

Jorge Juan (jjchico) wrote :

Do not be so happy... yet. In my case, either with 2.6.30 or 2.6.31 kernels, some times it works well, but most of the time it does not. Try various power off-on cycles (not reboot) and tell us what happens.

Good luck.

flabbergast (s3) wrote :

Well, you were right, the situation is unstable. Sometimes it works, sometimes deauthorizing the hub helps... I didn't manage to properly analyze when/what happens.

Fiepel (philippe-fiepel) wrote :

Can confirm with Medion Akoya E1210 and latest Karmic kernel:
Linux mini 2.6.31-13-generic #43-Ubuntu SMP Fri Oct 9 17:42:36 UTC 2009 i686 GNU/Linux

putting "blacklist uvcvideo" in /etc/modules makes suspend work (but disables the camera of course).

nespejo (nespejo) wrote :

Confirm whith Linux Kernel 2.6.31-11, but the problem is not present with kernel 2.6.28 (I upgrade from Jaunty)

udachee (udachee) wrote :

Confirm with linux-image-2.6.31-14-generic (2.6.31-14.48) on MSI Wind U100.

innaheight (innaheight) wrote :

Confirm with linux-image-2.6.31-14-generic (2.6.31-14.48) on MSI Wind U100.
Bus 001 Device 002: ID 0c45:62c0 Microdia Sonix USB 2.0 Camera.
No usb on a netbook, the priority of this bug should changed to high.

Steve Beaulac (steve-sagacity) wrote :

Confirm with linux-image-2.6.31-14-generic on MSI Wind U120 (hardware is actually a U100)

knuutsen (peter-vornberg) wrote :

Confirm bug,
maybe here is a little workaround without blacklist uvcvideo. Please try and report here. My U100 Wind works properly with hotplug usb and bison webcam:

sudo gedit /etc/modules

Insert before lp this: uvcvideo

Save and restart

Fn + F6 works even properly

cheers

knuutsen (peter-vornberg) wrote :

Uups - was too enthusiastic,

it won't go that way - sry. :-(

Frank Roberts (frankroberts) wrote :

I have the same problems here on a Medion Akoya E1210 with the Release Candidate.

I had VERY much trouble even installing karmic RC from a usb drive (getting random errors while the MD5Sum of the image was correct and using multiple usb sticks). When I finally managed to install it, after about 10 minutes i was dropped to the console with the same error log.

My question is; now I can only boot into console mode... how can I fix this? The USB camera is off now (FN-F6) but I still only can boot into the console. When i do startx i get a cursor on a black screen with nothing else on it...

tags: added: regression-potential
Changed in linux (Ubuntu):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Arnaud Cornet (acornet) wrote :

Git bisected to 04a37e0f32f9882430bc1899899d2ed91b8aaf5b

Jim in Chicago (jbcady) wrote :

I confirm this is still a problem with the RC on kernel 3.6.31-14

This is a show-stopping bug on the MSI Wind. Ubuntu, Kubuntu, and UNR are basically un-installable on this (very popular) netbook. When Ubuntu (including K and UNR) detects the camera, it loses the usb stick or usb CD-rom that it's installing from or trying to live-boot from. After upgrading hosed my 9.04 install I decided to install clean, but it was a no go even with every boot option I could think of. The only way I was able to get a (semi) working install was to re-install 9.04 clean, then upgrade from there.

As Fiepel suggests, and as Ernesto and Manfred Bergner noted over at #455408, this seems like a workaround:

"sudo gedit /etc/modprobe.d/blacklist.conf", enter password, then add "blacklist uvcvideo" to the end of the file.

It's working for me after multiple shutdowns, starts and restarts, but it does kill the camera.

Steve Langasek (vorlon) wrote :

Documented at <https://wiki.ubuntu.com/KarmicKoala/ReleaseNotes#bison%20webcam%20in%20MSI%20Wind%20netbook%20causes%20USB%20errors%20if%20not%20disabled>:

An error in the uvcvideo driver used for the bison webcam in certain MSI Wind and related netbooks and causes USB support to fail, resulting in an inability to use USB devices or suspend/resume the netbook. As a workaround, users can disable the camera before boot using the Fn+F6 hotkey. (435352)

Changed in ubuntu-release-notes:
status: New → Fix Released
- (a--deactivatedaccount) wrote :

On the Medion Akoya (german rebrand of the MSI Wind)

Even if you disable the bison webcam via FN+F6 the usb still does not detect
usb sticks etc.. when inserted.

Which as you can imagine is a pretty big deal,

no data on sticks, no webcam support, no printing etc..

Derry, if you don't use the internal camera, try the workaround at #28.

It's still working for me.

piotrv (piotrv) wrote :

Same issues on MSI U123...

knuutsen (peter-vornberg) wrote :

if i start my U100 msi with blacklisted uvcvideo and i have my USB dvbt HVR-900 pugged in at boot time; everything works fine! I can plug in e.g. usb stick no prob; starting cheese under settings cheese grebs Hvr but there i can change to webcam Bison or cheese comes directly with the webcam . Which one is first depends on /dev/video0 or 1. Without plugin the dvbt i get the same results described above.

Maybe someone is connected with a new idea upon this new information solving the prob?

have a look at my dmesg ...

Jens007 (jkauth) wrote :

i have the same bug on Medion e1210 with latest Karmic. Usb workaround works, webcam doesn't work.

Jochum Borgo (lnemo123) wrote :

Bug confirmed. Like Frank Roberts, I could not install karmic on my Akoya mini E1210 with USB-stick or USB-CD-drive. Only way to install was to use wubi. Latest succesfull normal install was with karmic-alpha.

JPtja (jpvd) wrote :

Problem was solved here by following edits in blacklist.conf
Open this in the terminal: sudo gedit /etc/modprobe.d/blacklist.conf
Put a # and a space before the items "blacklist usbmouse" and "blacklist usbkbd"
These look now like this:
# blacklist usbmouse
# blacklist usbkbd

I'm not sure if this solution make other problems, but here it only gives me improvements.
Now the USB-connections work and the webcam works too.

Tested on a Targa netbook, looks similar to the akoya E1210 (also here in house) and the MSI u100

masaya (doramark007) wrote :

This isn't work for me:(

Frank Roberts (frankroberts) wrote :

that solution just works temporarily, it will be reset when you reboot your system. So its no solution. The only way to prevent the problems is to BOOT with the usb cam off (if your turn it off later, it won't work). As long as you keep the webcam off, you can use every USB port and get no error messages, but the webcam doesn't work.

Stephan Diestelhorst (syon) wrote :

Why is nobody taking this upstream? This is clearly a fatal issue and we have a reasonably broken changeset. I do not understand why this has to be triaged for so long.

I'm assuming that there's someone working in the background regarding
this bug. I think this bug is related to several other bugs such as
internal mic not working. The 9.10 release, in general, is a complete
rework compared to its predecessors and most of these issues seems to be
fine/working in 9.04. But I know where you're getting at, it's really
disappointing since it seems that no one is taking action on this
issue.

On Sun, 2009-11-01 at 22:25 +0000, Stephan Diestelhorst wrote:
> Why is nobody taking this upstream? This is clearly a fatal issue and
> we
> have a reasonably broken changeset. I do not understand why this has
> to
> be triaged for so long.
>
>

Catscrash (catscrash) wrote :

why does it say fix released at the top?
is there a fix somehow?

even compiling latest kernel doesn't work for me

JPtja (jpvd) on 2009-11-02
Changed in ubuntu-release-notes:
status: Fix Released → In Progress
swl (weezel-van) wrote :

 I used the temporary solution of JPtja. On some occasions both the webcam and the USB works but only after a lot of rebooting and there is no consistency regarding blacklisting the 2 elements. The first time the approach worked I also experienced that the flickering of the brightness, normally happenin during the start up, had dissapeared.

Andy Whitcroft (apw) wrote :

It is the release notes which are 'Fix Released' ie there is a release note made. Nothing else is implied.

Changed in ubuntu-release-notes:
status: In Progress → Fix Released
JPtja (jpvd) wrote :

I don't know why we should call this fix released, only because there is a temporarily fix.. =S
But does somebody know if there is coming up a constant solution?
What we do here is changing that blacklist, reboot and never restart before there is an update, but that's not very good for the netbook.. (although netbooks can last that very long here)

masaya (doramark007) on 2009-11-02
Changed in ubuntu-release-notes:
status: Fix Released → In Progress

Ubuntu-release-notes is a list of bugs. All big bugs should be in this list. If a big bug is not in the list, it is a bug. Because this bug is now listed, there is no longer a bug in ubuntu-release-notes. This is a bit confusing but the bug in the release notes is now fixed even though the bug in the software is not.

Changed in ubuntu-release-notes:
status: In Progress → Fix Released
JPtja (jpvd) wrote :

But is there any development in the bug in the software..?

Fix not released!

I have LG X110 with built in 3G modem. In my computer fn+f6 is mapped to enable/disable 3G modem. As far i can tell, i dont have a key or bios setting for disabling the webcam.

Arto, just to rephrase something that was said at #45 above:
.
It was a "bug" that this issue was not included in the release notes.
.
Now that the issue has been included in the release notes, that particular "bug" is fixed.
.
No-one is suggesting that the issue itself has been resolved.
.
If you can live without the webcam, have you tried blacklisting uvc video as mentioned in #28 above?

Peter Curtis (pdcurtis) wrote :

I look after a couple of U100s but have not been able to risk installing Karmic after reading the release notes and problems I had using the LiveCD.

Both ran the webcam (5986:0203) happily under Hardy and Jaunty although I had to load a different version of the uvcvideo driver used for the bison webcam to that supplied in Hardy and repeat the procedure after every kernel update.

Are we sure it is just the latest uvcvideo driver which is at fault here? Has that been confirmed by testing with a different version of the driver compiled and loaded in the way I had to for Hardy?

I wrote the procedure for Hardy up at http://www.pcurtis.com/wind.htm#webcam - I can try it with Karmic but I not sure it will work on the LiveCD and I dare not load the full system until the two bugs are sorted.

I agree with earlier comments that these bugs are a disaster for Ubuntu especially now that the U100 is on offer from Argos for about £200 for the Xmas season and need to be fixed not talked about. In the meantime users of Winds should be warned not to upgrade and new users should load Jaunty.

Catscrash (catscrash) wrote :

what i don't get:

i compiled a 2.6.31-rc3 zen-kernel for jaunty, which worked perfectly, i installed the compiled debs again in karmic and it doesn't work anymore...

Since uvc-module is inside the kernel.. i don't see how that's possible

Peter Curtis (pdcurtis) wrote :

I have now run karmic on my Wind U100 off a LiveCD on a USB CD/DVD drive.

1. It is impossible to run the LiveCD if the webcam is enabled but it can be run OK with webcam off.
2. modprobe uncvideo does not have any adverse effects with webcam off
3. Fn F6 key does not work so I can not enable the webcam.
4. Plugging in an alternative USB webcam (0c45:602c) is fine, it is detected and works in cheese.

I have looked through all the previous linked bug reports and ran xev

1. Fn F6 key is not detected and does not appear to do anything [Jaunty not detected but obviously works]
2. Fn F10 key is not detected [detected]
3 Fn F11 key is detected and cycles Wifi but not Bluetooth. [cycles both Wifi and Bluetooth]
4. All other Fn Fx keys are detected [except Fn F2 and Fn F3]
5. Fn F4 and Fn F5 change brightness without problems
6. Fn F12 suspended machine and it came back on fine

I repeated under Jaunty and results are in [ ]. USB webcam detected and ran but with inferior driver.

Provisional conclusion - not a problem with uncvideo module alone - more likely to be in key detection and configuration udev etc rules or new implementation in kernel?? Is there a linkage with brightness problem - both seem to go back a long way?

Catscrash (catscrash) wrote :

well like it was said before - it happens on the LG X110, which basically is a wind u100 but it doesn't have the camera-key on fn-f6.

it doesn't have a camera-switch at all, so it can't have something to do with the keybindings or so...

Peter Curtis (pdcurtis) wrote :

Is there any way to turn the webcam on and off other than the Fn F6 key so I can continue to test on the LiveCD system with Fn F6 dead?

Has anyone else seen the partial working of Fn F11 which means I have no bluetooth under Karmic?

Thanks Peter, your comments (both here and on your site) were really helpful in getting an Ubuntu Netbook Remix live session up and running on my MSI Wind U100. Some notes on my experience.

1. Very occasionally, booting to a UNR live session works with the webcam on. When it does, both the webcam and the usb ports work. I can access a flash drive and use Cheese.

2. But, usually, if the webcam has been left on, or has been turned on at the boot splash screen, I cannot boot to a live session. I get endlessly scrolling error messages during the boot process.

3. Disabling the webcam with the Fn F6 key at the boot splash screen is persistent. Once it's off, it stays off after shutdown and restart. Thus it only needs to be turned off once.

4. If the webcam has been turned off via Fn F6, I can consistently boot to a live session.

5. USB ports work during a live session with the webcam off.

6. Suspend works with the webcam off, both via closing up the machine and hitting Fn F12.

7. Screen brightness issues seem to be inconsistent and intermittent in live sessions with cam on, live sessions with cam off, and in my installation of Karmic. Sometimes the screen is flickering after boot, sometimes it isn't. Right clicking gets rid of it if it is.

Thanks again.

knuutsen (peter-vornberg) wrote :

Did someone tried to compile a kernel under karmic especially for the U100 MSI? In that case the newest kernel from kernel.org eliminate the probs. For that my knowledge is not advanced enough compiling a so called vanilla kernel for myself.

From the official ubuntu is said, that they warn all MSI U100 Users to use Karmic Koala - this means, that we have to wait the next release in 2010.

In my case, i'm working with karmic by blacklisting uvcvideo and using a alternative webcam. The other prob getting the flickr away ist to start a menu with a right click for seconds, so i can controll the flickr. I don't have the flickr any more by using an external flat monitor.

In the sum the disadvantages in my case are less than the advantages in using this new piece of software for e.g. bluetooth, sound and beamer.

cheers

Peter, not sure this would suit your needs, or even work, but maybe you could set up a persistent live usb stick with the camera disabled by blacklisting uvcvideo and test using that as a platform?

Sergio Tschá (sergio-tscha) wrote :

I just can't believe Canonical will make us wait until 2010 to have such a major bug fixed.

swl (weezel-van) wrote :

Where is that stated? Because I couldn't find it myself on any ubuntu page. It would be quite ridiculous if is true.

Peter Curtis (pdcurtis) wrote :

Dmitri, Thanks for your earlier kind comment and your suggestion.

I am still continuing with live systems at present and have tried LiveCD, LiveUSB and LiveSD and all are the same as I expected.

I have found that like you I occasionally get a good system startup with working webcam if you start with it enabled. It does not seem to be the uncvideo driver alone.

I have found another, possibly related problem with keystokes. Not only can one not turn the webcam on and off with Fn F6 if it is not enabled at boot time for a LiveCD but I have also found you can not toggle Bluetooth on and off unless that is enabled at the boot up. This also seems to point to something like the setting up of the udev rules, the hal layer or whatever has recently replaced it and/or the handling of keystrokes which are also handled in the bios, both areas where I have little experience.

This is the first time I have really got involved in the bug reporting so I hope I get a little tolerance. I have however been using Ubuntu on all my machines since Hardy came out and am currently running hardy, jaunty and karmic as well as having set up a number of other people. I have been involved in programming for 40 years including machine code, assembler and real time systems but not as my prime job. I feel strongly and want to be involved as I have used the MSI Wind as an example of how well Ubuntu now works and have converted several people by my demonstrations. That all goes to dust if a single update breaks it. I can not believe the Canonical kernel team are really putting this off till 2010.

saniac (stephen-vital) wrote :

I appear to have a similar or identical problem on my Toshiba Tecra A6 with a Logitech Deluxe Camera for Laptops.

[694632.992159] usb 1-4: new high speed USB device using ehci_hcd and address 5
[694633.376532] usb 1-4: configuration #1 chosen from 1 choice
[694635.777131] Linux video capture interface: v2.00
[694635.793581] usbcore: registered new interface driver snd-usb-audio
[694635.805454] uvcvideo: Found UVC 1.00 device <unnamed> (046d:09c1)
[694635.822762] input: UVC Camera (046d:09c1) as /devices/pci0000:00/0000:00:1d.7/usb1/1-4/1-4:1.0/input/input12
[694635.822874] usbcore: registered new interface driver uvcvideo
[694635.822882] USB Video Class driver (v0.1.0)
[694637.086419] ehci_hcd 0000:00:1d.7: force halt; handhake f8058024 00004000 00000000 -> -110
[694637.259198] 5:3:3: usb_set_interface failed

After this message, the USB subsystem does not respond to connections or disconnections, so for example if I disconnect and reconnect a USM mouse, it doesn't work and I don't see anything in dmesg. This is a problem if I boot with the camera plugged in, or if I plug the camera in later.

If this is the same bug then the release notes need to be changed -- they imply that the problem is restricted to Bison cams with MSI wind notebooks. However, I think there is a more general problem with some UVC usb cameras.

JVD (finarf) wrote :

Posting for the first time, so please pardon any violation of posting conventions.

I had Jaunty till yesterday, and after installing auto-updates, my fully functional Logitech RX720 wireless laser mouse stopped working. I subsequently upgraded to Karmic, and the problem persists. The mouse works flawlessly with Windows, and worked flawlessly in Ubuntu till yesterday. Now, the mouse is not even detected.

'lsusb' does not show the mouse as connected, and connecting/disconnecting the mouse does not trigger any messages on dmesg (none of the files in /var/log are affected by plugging in/out the mouse).

'lspci | grep USB' output is as follows:
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a4)

'lsmod | grep usb' output:
usbhid 43968 0

Also, I am unfamiliar with uhci/ehci etc., so I am not sure if they are needed - I seem to have both uhci_hcd and ehci_hcd modules missing. I also tried blacklisting usbhid and enabling usbmouse but that did not work. My other USB devices (including a USB wireless mouse of a different make) are visible and are functioning as before.

knuutsen (peter-vornberg) wrote :

Ubuntu Guys did a great job!!!!!!!!!!

I've just updated ubuntu 9.10 on the msi wind u100 with the update - manager the typical way and the webcam and hotplug didn't have a conflict anymore. Thanks for not waiting till the next release!!!!

I verified it twice with the dvbt hvr 900 and my usb stick and my mouse. It works!

By the way after updating don't forget to take the entrance "uvcvideo" from the blacklist -

sudo gedit /etc/modprobe.d/blacklist.conf

Maybe the flickr is also gone - i'will check it right now.

I think this bug after testing from others can be closed.

cheers and many thx

knuutsen

swl (weezel-van) wrote :

testing negative here.

knuutsen (peter-vornberg) wrote :

 to Swl:

What does that sentence mean to me? Using the same machine as i do? Controll your update by looking at synaptic that your udev is updated to 6.1 . In total i've updated daily and today it was more than 30 ups.
If you don't have the 6.1, than you should enable the standard repos.

Compare yours to mine sources.list

see attachment

cheers

swl (weezel-van) wrote :

@ Knuutsen

I have absolutely no idea what that list exactly means but I can give the following information:
The webcam is functioning now. After my previous post I discovered that I didn't check the bottom box in the update manager enabling karmic-backports. I haven't had the opportuniy to test whether it is stable. When rebooting the computer (MSi Wind 100) the flickering remains to occur. Update manager tells me btw that my system is entirely up to date, using udev 6.1.
I will re-test on a later moment.

Stephan Diestelhorst (syon) wrote :

For reference: There is a discussion on exactly this issue on the LKML.
http://marc.info/?l=linux-kernel&m=125541673726384&w=2
It seems that the HW does not behave properly according to standards.
However, the discussion does not suggest, whether the particular problem has been solved yet.

Jolaren (joel-undin) wrote :

I use a lg x110 and UNR 9.10. Card reader doesn't work after update. My built in 3g module doesnt work either..
This sucks

Jolaren (joel-undin) wrote :

Not completly true, my card reader worked 1 time like 5 hours ago. Stopped after reboot. Like 1/15 times I boot my 3G broadband loads up in NM.

Stephan Diestelhorst (syon) wrote :

I can confirm that this bug is *not yet fixed* in ubuntu karmic.
karmic-backports does not yet contain any packages: http://packages.ubuntu.com/karmic-backports/allpackages so that should not make a difference.

I can confirm that the issue is not happening everytime, as have previous reporters and upstream folks.

Stephan Diestelhorst (syon) wrote :

And another fruitless attempt at reporting the issue upstream, this time at the linux-uvc project, where it should belong.
https://lists.berlios.de/pipermail/linux-uvc-devel/2009-September/005143.html

Stephan Diestelhorst (syon) wrote :

I've just taken this to the linux-uvc issue tracker, and tried to link everything we have so far.
http://developer.berlios.de/support/index.php?func=detailsupport&support_id=103031&group_id=5681

Jolaren (joel-undin) wrote :

Blacklisting uvcvideo on my lg x110 doesn't make my usb/card-reader/3g mobile broadband work..
Gettin really tired of this..
Thumbs up for all of you tryin to make this work

Jolaren (joel-undin) wrote :

Blacklisting uvcvideo doesn't make my cardreader/3g broadband work by the way..

Jolaren (joel-undin) wrote :

sudo gedit /etc/moduled
adding blacklist uvcvideo to a free line.
Only thing that happends is that my webcam stops working (obviously)

On an MSI U100. I got all excited for a minute. But the current set of updates (with proposed and backports ticked) don't do it for me. Worse, I seem to have lost the camera (at least in Cheese) even with uvcvideo removed from /etc/modprobe.d/blacklist.conf. Putting the blacklist entry back gives me functional usb ports again.

knuutsen (peter-vornberg) wrote :

hey again,
swl opened the backports - i didn't. Please look at my sources.list #64. The list shows all the standard repos i need for karmic additional the medibuntu repositories. If you change manually this list than the package manager recognize that after next start.
To Dimitri Petros,
never do this again open both proposed and backports and install all the software - your system is getting unstable. As i said in #64 it was a turnus update from ubuntu.
Ubuntu is working like this:
First, ubuntu has the new developed software peaces in the proposed. Second, if they were tested and ok than ubuntu takes the new software at the standard repos for downloading.

If you like, try this:
reinstall ubuntu 9.10 (to get all the unstable software away). After a fresh install; open my text file out of # 64. Copy and paste it to your sources.list. Do this, as follows:

Manually you will find the list here:
Type in Terminal:

cd /etc/apt/

sudo gedit sources.list

and than compare it with mine (you can download my sources.list on #64)

copy and paste my repos

save your sources.list

Call now the update-manager and install the all the standards updates.

It should work for you Dimitri

My U100 is not special :-)

Sorry knuutsen, but that doesn't work for me.

Clean install, matched your sources list, fully updated, but still no usb.

Did you do anything else to your setup that might have added some functionality?

knuutsen (peter-vornberg) wrote :

Hey Dimitri

thats weird.

May be you forgot to take uvcvideo from the blacklist away? Not really ...

Besides there is nothing else i did before. Thats really weird.

I only updated yesterday as usual; recognizing more than 30 update files for e.g. udev 6.1 and some other files related to the prob we have (had) here.

I post here my dmesg (there you can see kernel-working steps). May be you will see something special.

Jochum Borgo (lnemo123) wrote :

The bug is also present in Moblin 2.1. Could be that the ISO that I downloaded from moblin.org is the same as the ubuntu version with moblin-interface, I don't know.

cives (antoniosotop) wrote :

Hello,
Finally I found you. I have been more than one month crazy looking for the reason why my upgrade to Karmic Alpha 6 made disappear suddenly my USB connections. I even created a bug without any reply from the kind people from Canonical. Until I found you.
Strangely in the beginning my USB were recognised from time to time, but in the last two weeks very rarely I have been able to connect anything to my LG X110. On the other side, in Ubuntu 9.04 everything was fine and smooth.
I even reinstalled a few times UNR and Kubuntu Netbook 9.10, with MUCH trouble to get the USB or the CD Lives recognised by the netbook.
I have tried everything, I update twice a day, I have the last kernel 2.31.15, and nothing proved successful, except what I have tried a few minutes ago: blacklisting my uvcvideo as shown in post 28.
In my case there is a small difference. I did not try the webcam with the Jaunty, since I don't usually use it, but before I blacklisted the uvcvideo it did not work at all, so I don't get handicapped by blacklisting it. For me it is much more important to have USB access to my USB disks, memories and CD/DVDs, obviously. I can finally take a deep breath and relax, because I could not work properly without USB, as you can imagine.
What keeps me really disappointed is the Canonical's attitude. This is not a minor gap, but something really serious, specially because with a netbook you get isolated without USB, and it does not show the argued interest in netbooks, as per Canonical's statements.
I am a newbie in Linux/Ubuntu (I had tried in the past but only with the 9.04 I have 100% converted to Linux), and it has disappointed me terribly the so many problems that you should manage, without Canonical's assistance. Four months ago I did not know anything at all about Linux and I have become a very good domestic expert in Ubuntu and Linux due to these many unresolved problems.
Thank you guys. You saved me really today.
P.S.: For Knuutsen, there is no solution to this problem by updating anything. You must have done something else, but my LG X110 has only been able to recognise back my USB devices by blacklisting the uvcvideo...
Best regards,
Antonio

Download full text (6.6 KiB)

hello all,

The recent update of udev fixed the webcam problem on my MSI WIND U100.
Meaning that my webcam is now working correctly on karmic (using cheese)

 I will try usb tonight but I'm not sure what is the correct reproducible
scenario by everyone. Could someone enlighten me ?

Regards,
Simon.

On Tue, Nov 10, 2009 at 4:58 PM, cives <email address hidden> wrote:

> Hello,
> Finally I found you. I have been more than one month crazy looking for the
> reason why my upgrade to Karmic Alpha 6 made disappear suddenly my USB
> connections. I even created a bug without any reply from the kind people
> from Canonical. Until I found you.
> Strangely in the beginning my USB were recognised from time to time, but in
> the last two weeks very rarely I have been able to connect anything to my LG
> X110. On the other side, in Ubuntu 9.04 everything was fine and smooth.
> I even reinstalled a few times UNR and Kubuntu Netbook 9.10, with MUCH
> trouble to get the USB or the CD Lives recognised by the netbook.
> I have tried everything, I update twice a day, I have the last kernel
> 2.31.15, and nothing proved successful, except what I have tried a few
> minutes ago: blacklisting my uvcvideo as shown in post 28.
> In my case there is a small difference. I did not try the webcam with the
> Jaunty, since I don't usually use it, but before I blacklisted the uvcvideo
> it did not work at all, so I don't get handicapped by blacklisting it. For
> me it is much more important to have USB access to my USB disks, memories
> and CD/DVDs, obviously. I can finally take a deep breath and relax, because
> I could not work properly without USB, as you can imagine.
> What keeps me really disappointed is the Canonical's attitude. This is not
> a minor gap, but something really serious, specially because with a netbook
> you get isolated without USB, and it does not show the argued interest in
> netbooks, as per Canonical's statements.
> I am a newbie in Linux/Ubuntu (I had tried in the past but only with the
> 9.04 I have 100% converted to Linux), and it has disappointed me terribly
> the so many problems that you should manage, without Canonical's assistance.
> Four months ago I did not know anything at all about Linux and I have become
> a very good domestic expert in Ubuntu and Linux due to these many unresolved
> problems.
> Thank you guys. You saved me really today.
> P.S.: For Knuutsen, there is no solution to this problem by updating
> anything. You must have done something else, but my LG X110 has only been
> able to recognise back my USB devices by blacklisting the uvcvideo...
> Best regards,
> Antonio
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with
> bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot karmic
> (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ ...

Read more...

swl (weezel-van) wrote :

@ knuutsen (#76) I believe your text file also mentions the backports.
I will check my list sources.list asap to see whether updating can make a difference. If none of that works for me or others, hopefully Stephan's initiatives will pay off.

Cheers.

Oops. Attachment added early. I've got a bit of an interesting take on the idea that things changed after yesterday's updates. Without the blacklist entry, I'm getting about a 20% success rate for the camera and the usb ports. That's better than before. I've only done 10 restarts and 10 shutdown/starts, but it seems encouraging. There doesn't seem to be a quantitative difference between the success rate for restarting v. shutting down and starting. But the dmesg outputs seem to be a bit different. I don't know enough to interpret them, so I'll just attach them in the hope they'll be useful to someone else. Sorry if it's a lot.

Stephan Diestelhorst (syon) wrote :

Folks,
  just a short update on the current status:
I have taken the issue to the uvc developers and Laurent quickly got back to me:

"Even though the git commit that caused the regression modifies the
 uvcvideo driver, this is an issue that need to be solved at the USB
 core level. The commit's purpose is to enable autosuspend, but a
 nasty side effect kills USB on some (buggy ?) controllers because an
 interrupt URB is canceled too fast after being submitted."

That means:
-the issue is not solved yet
-linux-usb developers have to look into this

I've contacted the linux-usb folks, let's see what comes out of this.

Jolaren (joel-undin) wrote :

Hmm.. I just updated my computer. Removed the blacklist on my webcam and it works fine.. rebooted three times. Might be a coincidence. Installed some new drivers so I thought that was it.. but i will look into it and get back 2 you lot.

Ukutys (ivan-halaxa) wrote :

Hi, I have the same problem on MSI Wind U100, but it isn't so urgent to use USB ports for me, I need to use webcam urgently... Does anybody know any trick how to enable bison camera on it?

Thanks a lot...

This is a truly crappy workaround, but depending on how desperate you are, you may want to use it.

Make sure Fn F6 is switched to webcam on. (The only indicator of that on my u100 is that with most starts, USB won't work).

Make sure you haven't blacklisted uvcvideo.

Restart over and over until you get lucky and the webcam works.

The longest I went yesterday was 7 starts. I averaged 20%.

Christian Berg (xeniac) wrote :

My Way to increase the chances the USB Stack won't crash with the camara:

edit /etc/default/grub as root and change the Parameters for GRUB_CMDLINE_LINUX_DEFAULT and GRUB_CMDLINE_LINUX to:
GRUB_CMDLINE_LINUX_DEFAULT=""
GRUB_CMDLINE_LINUX="clocksource=hpet"

Save the changes, and run update-grub as root.

If you still use the old grub 0.97 you can find the linux kernel options in /boot/grub/menu.lst

This increased my chances to boot with USB Support up to 70%, but it also sucks a liitle more power out of your battery. (at lease powertop says so)

michael (mckelly46) wrote :

I discovered the MSI flicker/USB problem while making an OO Presentation to a group of 35 managers.

I installed 9.10 the night before and even tested it out. All was fine ... till I got up in front of me small group of managers. Quite embarassing!

We need to fix this one fast.

vonskie (vonwallace) wrote :

I can imagine the meeting...

Hello everyone...

Today we are going to talk about XYZ...

People are staring at the screen, one guy ask what are you running?

You proudly respond, Ubuntu 9.10 just installed it last night and no problems, did I mention it is free...

Then some guy says oh is that why the screen is blinking and the brightness is changing, as you look toward the overhead the room starts to fill with laughter and hateful comments... You get what you pay for!, You could have got a Dell man!, Windows 7 works better than this and so does Vista!, Apple Rules! Linux is for poor hackers who like to spend their days messing with their broke computer rather than working!

You stand there with your mouth open and utter, I know how to work around this and then when you insert the thumb drive it will not mount... You then bury your head into your hands, pat the sweat off of your forehead with a folded napking, adjust your tie swallow hard and ask for a computer that is working...

The room then erupts with laughter and the rest of the meeting is filed with people cracking Linux jokes... Because of this you are off balance and give the worst presntation of your life...

You are demoted, thrown to the street and in a deep dark corner of an alley you have your netbook plugged into an extension cord for christmas lights... You get an email for a job recurter and you respond with your resume you typed in Open Office that the recurtire can not read with MS Word so you are passed up for the job..

You send the rest of your days eating out of trash cans, telling homeless people about Ubuntu 9.10 and how it ruined you.

Joking...

I have an MSI Wind and have experienced several issues too...

vonskie (vonwallace) wrote :

9.04 works like a treat anyone tried Opensuse 11.2?

knuutsen (peter-vornberg) wrote :

Hey vonski
it happens several times with older ubuntus. Never mind. Since i'm using karmic with these bugs - i'm awaiting such crap. There is only one chance to get the flickr off; make a right click onto your nickname and hold the click for three seconds. It will go away in any situations, i guess.

The only hope is that Stefan is right; see #90.

Cheers

Demosthenes (demosthenes) wrote :

well I was stupid upgrading to 9.10 hoping the to be free of old KDE bugs.. I thought Ubuntu was ready for prime time. What's the status on this. Didn't they do any testing?

James Pamba (jpamba02) wrote :

The usb port worked when I reconnect devices again.

Oktay Altunergil (oktaya) wrote :

Demosthenes: Do you have any input ?

Nuno (nuno) wrote :

Hi all,

This is definitely a bug between the UVCVideo and USB Controller. I've just assembled a new nettop based on Intel D945GSEJT motherboard with Atom N270 and I have the exact same problem. I'm connecting a Logitech E3500 web camera and not only the camera is not recognized but also USB ceases to recognize other devices hot-plugged (keyboard and mouse works fine if plugged in at boot). I am guessing this will affect all Atom N270 boards at least. The problem does not occur on another PC I have with an Intel Core 2 Duo processor.

The workaround for me is to plug an external USB port replicator, which has its own USB controller, and connect the webcam there. If I do that then my webcam works fine and I can hot-plug other usb devices on the built-in USB ports.

Although both blacklisting uvcvideo (if you don't need a webcam) or using a USB port replicator works, this is a serious bug that prevents proper use of ubuntu, especially by non tech-savvy people. It should then be marked of high priority to be solved.

Cheers,

Nuno

Download full text (5.4 KiB)

Regarding nettops, this does not affect nettops with the nvidia ION
chipset. I'm using a ZOTAC ION A series that works perfectly with
ubuntu 9.10. Based on Nuno's observation, the bugs affects all Intel
netbooks - Atom with 945 chipset, but mainly MSI from what I've
installed

On Fri, 2009-11-13 at 14:36 +0000, Nuno wrote:
> Hi all,
>
> This is definitely a bug between the UVCVideo and USB Controller. I've
> just assembled a new nettop based on Intel D945GSEJT motherboard with
> Atom N270 and I have the exact same problem. I'm connecting a Logitech
> E3500 web camera and not only the camera is not recognized but also USB
> ceases to recognize other devices hot-plugged (keyboard and mouse works
> fine if plugged in at boot). I am guessing this will affect all Atom
> N270 boards at least. The problem does not occur on another PC I have
> with an Intel Core 2 Duo processor.
>
> The workaround for me is to plug an external USB port replicator, which
> has its own USB controller, and connect the webcam there. If I do that
> then my webcam works fine and I can hot-plug other usb devices on the
> built-in USB ports.
>
> Although both blacklisting uvcvideo (if you don't need a webcam) or
> using a USB port replicator works, this is a serious bug that prevents
> proper use of ubuntu, especially by non tech-savvy people. It should
> then be marked of high priority to be solved.
>
> Cheers,
>
> Nuno
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000 -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the webcam before rebooting (FN+F6) or by blacklisting the uvcvideo module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe) the same thing happens: most of the time I get "cannot reset port" error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo and does not give "cannot reset port" errors and all suspend, USB storage and...

Read more...

chaeni (chaeni) on 2009-11-14
Changed in ubuntu-release-notes:
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
Catscrash (catscrash) wrote :

at the moment the other usb devices work again without having to blacklist uvcvideo (at least the last 3 boots)

but cam doesn't work:

[ 246.377489] Linux video capture interface: v2.00
[ 246.387205] uvcvideo: Found UVC 1.00 device BisonCam, NB Pro (5986:0203)
[ 246.387259] uvcvideo: UVC non compliance - GET_DEF(PROBE) not supported. Enabling workaround.
[ 246.387277] uvcvideo: Failed to query (129) UVC probe control : -108 (exp. 26).
[ 246.387288] uvcvideo: Failed to initialize the device (-5).
[ 246.387379] usbcore: registered new interface driver uvcvideo
[ 246.387389] USB Video Class driver (v0.1.0)

knuutsen (peter-vornberg) wrote :

msi wind u100 luxury edition

After enabling Fn + F6 i get this from

dmesg | grep uvcvideo
pedro@pedro-netbook:~$ dmesg | grep uvcvideo
[ 1479.385246] uvcvideo: Found UVC 1.00 device BisonCam, NB Pro (5986:0203)
[ 1479.402552] usbcore: registered new interface driver uvcvideo

cheese or
skype
didn' t recognize

# chaeni
What does that mean? That they really fixed the prob and when do we have via repositori the answer -
can you post the link you read this?

Jaap (hyverist) wrote :

same here on a targa traveller 1016

no cheese nors kype but:

jaap@jaap-laptop:~$ dmesg | grep uvcvideo
[ 315.274378] uvcvideo: Found UVC 1.00 device BisonCam, NB Pro (5986:0203)
[ 315.279977] usbcore: registered new interface driver uvcvideo

ixakep (ixakep) on 2009-11-14
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → ixakep (ixakep)
swl (weezel-van) wrote :

I have the same sort of output for that command on my MSi Wind U100.

[ 75.558094] uvcvideo: Found UVC 1.00 device USB 2.0 Camera (0c45:62c0)
[ 75.574894] usbcore: registered new interface driver uvcvideo

Luckily ixakep has taken on the brave task to fix this problem once and for all ;)

@Knuutsen: Does your webcam still functions after rebooting?

knuutsen (peter-vornberg) wrote :

Thank you ixakep,
so i guess you' re developer? - swl wrote. Hopefully you will be successful soon. If you need any help for testing - than i'm your man.

To swl:

I'm not so firm with the organisations upcoming - do you know more? Can you describe it shortly ?

swl (weezel-van) wrote :

@Knuutsen: I do not entirely understand your question. I was mere wondering if your webcam was still working after you were only one of the few with a functioning webcam after updating.

knuutsen (peter-vornberg) wrote :
Download full text (16.6 KiB)

@swl:
There is a little misunderstanding in my words. Indeed. Not my language. First, my webcam is just working but not entirely in any situation (see attachm.). For e.g.: If i press Fn + F6 during present ubuntu desktop, than hotplug is connecting well and i have my webcam. But mostly my dvbt is connected as well. If not i have the same probs as described here. Sometimes, but seldom, it works fine - that situation was my enthusiastic failure combining it with the update i've made seconds before. Sometimes, it's difficult to make a real statement above this prob.

But that's really weird, both webcam and dvbt are working seperately!

In that moment i'm watching tv. For this comment here i want to post the actually dmesg while im writing this here. Now it comes: the dvbt stopped working and the webcam comes up! Thats weird and here the dmesg | grep uvcvideo:
pedro@pedro-netbook:~$ dmesg | grep uvcvideo
[ 178.668322] uvcvideo: Found UVC 1.00 device BisonCam, NB Pro (5986:0203)
[ 178.684594] usbcore: registered new interface driver uvcvideo
[ 192.290208] uvcvideo: UVC non compliance - GET_MIN/MAX(PROBE) incorrectly supported. Enabling workaround.
[ 192.356442] uvcvideo: device BisonCam, NB Pro requested null bandwidth, defaulting to lowest.
[ 201.250119] uvcvideo: device BisonCam, NB Pro requested null bandwidth, defaulting to lowest.
[ 986.584182] uvcvideo: device BisonCam, NB Pro requested null bandwidth, defaulting to lowest.
[ 995.260363] uvcvideo: device BisonCam, NB Pro requested null bandwidth, defaulting to lowest.
[ 1485.479787] uvcvideo: device BisonCam, NB Pro requested null bandwidth, defaulting to lowest.
[ 1494.686428] uvcvideo: device BisonCam, NB Pro requested null bandwidth, defaulting to lowest.
pedro@pedro-netbook:~$

What workaround is here meant? lough.

Ok now the dmesg | grep dvb

pedro@pedro-netbook:~$ dmesg | grep dvb
[ 14.532350] Successfully loaded em28xx-dvb
[ 14.532360] Em28xx: Initialized (Em28xx dvb Extension) extension
pedro@pedro-netbook:~$

Here the results of latest dmesg after terminating dvbt by calling cheese:
[ 174.401310] ===>rt_ioctl_giwscan. 14(14) BSS returned, data->length = 1724
[ 177.390844] atkbd.c: Unknown key pressed (translated set 2, code 0xee on isa0060/serio0).
[ 177.390866] atkbd.c: Use 'setkeycodes e06e <keycode>' to make it known.
[ 177.394349] atkbd.c: Unknown key released (translated set 2, code 0xee on isa0060/serio0).
[ 177.394368] atkbd.c: Use 'setkeycodes e06e <keycode>' to make it known.
[ 178.176102] usb 1-5: new high speed USB device using ehci_hcd and address 7
[ 178.572494] usb 1-5: configuration #1 chosen from 1 choice
[ 178.668322] uvcvideo: Found UVC 1.00 device BisonCam, NB Pro (5986:0203)
[ 178.684481] input: BisonCam, NB Pro as /devices/pci0000:00/0000:00:1d.7/usb1/1-5/1-5:1.0/input/input13
[ 178.684594] usbcore: registered new interface driver uvcvideo
[ 178.684602] USB Video Class driver (v0.1.0)
[ 192.029596] tvp5150 2-005c: tvp5150am1 detected.
[ 192.290208] uvcvideo: UVC non compliance - GET_MIN/MAX(PROBE) incorrectly supported. Enabling workaround.
[ 192.356442] uvcvideo: device BisonCam, NB Pro requested null bandwidth, defaulting to lowes...

knuutsen (peter-vornberg) wrote :

#swl:
Second:
If i type Fn + F6 again than lsusb shows me that the device is not present. Thats what i'm expecting if i type Fn+F6! But if i have my dvbt not inserted at startup and i type than Fn + F6 - i've the same bug reported here:hotplug will not disable (or enable) the webcam (and the webcam is not working). And if i type Fn + F6 again nothing happens, so i guess hotplug usb is in vacation... .
But in a serious way:

In my believe dmesg reports this important stuff for the developers while i'm connecting both devices (see #110):

[ 192.290208] uvcvideo: UVC non compliance - GET_MIN/MAX(PROBE) incorrectly supported. Enabling workaround.

I also think it has something to do with the uvcvideo and hotplug usb.

After Cheese is working the dvbt is working well but i have to connect in kaffeine the television again.This is what dmesg is saying :
[ 3052.364326] zl10353_read_register: readreg error (reg=6, ret==-19)
[ 3054.360644] zl10353_read_register: readreg error (reg=6, ret==-19)
[ 3055.816115] xc2028 2-0061: Loading firmware for type=BASE F8MHZ MTS (7), id 0000000000000000.
[ 3056.780086] xc2028 2-0061: Loading firmware for type=D2633 DTV8 (210), id 0000000000000000.
[ 3056.793062] xc2028 2-0061: Loading SCODE for type=DTV6 QAM DTV7 DTV78 DTV8 ZARLINK456 SCODE HAS_IF_4760 (620003e0), id 0000000000000000.
[ 3060.080104] xc2028 2-0061: Loading firmware for type=BASE F8MHZ MTS (7), id 0000000000000000.
[ 3061.050286] xc2028 2-0061: Loading firmware for type=D2633 DTV8 (210), id 0000000000000000.
[ 3061.080268] xc2028 2-0061: Loading SCODE for type=DTV6 QAM DTV7 DTV78 DTV8 ZARLINK456 SCODE HAS_IF_4760 (620003e0), id 0000000000000000.
[ 3114.545773] ===>rt_ioctl_giwscan. 16(16) BSS returned, data->length = 2055
[ 3234.530935] ===>rt_ioctl_giwscan. 12(12) BSS returned, data->length = 1527
pedro@pedro-netbook:~$

May be these informations will help to let this bug die!

knuutsen

steve.horsley (steve-horsley) wrote :

It looks to me as though their "fix" is to make a note in the relase note and then completely ignore the bug. They don't even have the courage to actually admit here that that's what theyre doing. "Fix released" they say. The bureaucrats have well and truly taken over. With that kind of attitude floating around, it's no wonder that this release of Ubuntu is the most problematic I have seen for years. But then, maybe I only think it has problems because I didn't read the small print.

knuutsen (peter-vornberg) wrote :

@swl:
And third:
My question is; If we bug it here in launchpad, how is the way to solve this bug and how can we follow the steps of success? For e.g. if i buy a dell computer, they give me the chance to follow up to my doorway.

So can you describe in few words how this works in ubuntu?

cu
knuutsen

swl (weezel-van) wrote :

I am an ubuntu user, not from ubuntu self so I have no idea how this works. Sorry. But maybe one of the cannonical team can communicate to us how it works and how far they are in solving this bug?

Catscrash (catscrash) wrote :

@#112 and others complaining about "fix released", please read again #45

knuutsen (peter-vornberg) wrote :

@steve:

Catscrash is right!

Besides you're right! It seems that ubuntu would have been need more time for a stable release but that's their philosophie; every 6 month a release. As a owner of a netbook msi wind it's more than worse, for e.g. i tried gnome-shell and it runs from time to time unstable. I've also have a 6715s running ubuntu 9.10 with gnome-shell and ... no probs!

In short: Don't forget steve; ubuntu is a peace of many peoples around the world and not a propietary of canonical at all.

For e.g. the new sound environment is still working perfect with many other software e.g. skype. I'm using for e.g. a bluetooth headset and i can while i'm running skype change to the netbook mikro. This is, i guess , still not possible in Win7.

And gnome-shell is a hell of good and very clever peace of desktop - never seen better before. If it's released (may be to late in one year...) it's mine and i'm working just right now with it at my notebook and ... after bugfixes here and flickering also, i will use it in future on my netbook. So far.

cheers
Knuutsen

harpsy (harpsy) on 2009-11-14
Changed in ubuntu-release-notes:
status: Fix Released → Confirmed
jbob (jbobspam) wrote :

harpsy, the "bug" in the ubuntu-release-notes is fixed. Please read #45

Changed in ubuntu-release-notes:
status: Confirmed → Fix Released
steve.horsley (steve-horsley) wrote :

It's not the failure to fix it I'm upset about. There's not anything the Ubuntu folk can really do other than report upstream. I know that. And I read that there already has been upstream discussion. It's the self deception, pretending that it's fixed that bothers me. Makes the fix rate look good though, doesn't it. I suspect that's what really matters.

If there is another bug report somewhere that says the problem has been reported upstream and awaits a fix then I owe an apology. But I haven't seen a link to any such report - I think the problem has been just made to go away. So there's nowhere I can keep watch on to see if there's ever any progress towards a fix. Because of course, it already IS fixed, isn't it?

jbob (jbobspam) wrote :

steve.horlsey, OK it is a bit confusing, but try to imagine this bug as two separate bugs.
Bug A (which affects linux (Ubuntu)): obviously the camera is (still) not working.
Bug B (which affects ubuntu-release-notes): Bug A was not listed in the ubuntu-release-notes.

Bug B is fixed because Bug A is now listed in the ubuntu-release-notes. Bug A is still open with the, status 'triaged' at the moment.

I hope I made myself clear.

Kind regards jbob

Stephan Diestelhorst (syon) wrote :

A comment on the current status:
I've received reply from Alan Stern (Linux USB developer), essentially asking us to continue the earlier experiments (see my post above). As time permits I'll play around with the suggested workaround (additional udelay), and see whether it can be tweaked (and still work!) so that it may fit into the upstream code.

If you can compile a kernel, *you* can help by testing the workarounds in
http://marc.info/?l=linux-kernel&m=125622034713518&w=2
and
http://marc.info/?l=linux-usb&m=125628206801242&w=2
(the standard Ubuntu kernel source should be a sufficient base for patching)
and see how far we can get the udelay down to (target is <= 50 microsecs) with keeping the stack still alive.

Once I have a easy patch myself I 'll post this here. we should then get back to the USB developers (and the UVC guys) with our results so that they can take appropriate action.

(BTW: I'm not affiliated with Canonical in any way.)

Mark Cariaga (mzc) wrote :
Download full text (6.0 KiB)

@Steve,@knuutsen: on my opinion 9.10 is a total overhaul from 9.04, 6
mos won't be enough to really test it. BUT it's totally better than its
predecessors. It work perfectly on my desktop (NVIDIA ION ZOTAC A series
board)

It's up to the ubuntu community and ubuntu local communities (in every
parts of the world) and us to ensure that we participate in beta testing
(or even during alpha) to report and prevent/reduce bugs in the final
release. On the developers' side, quality tools must be in place to
reduce "major impact" bugs (technically minor but has tremendous effects
on the end user). A simple fishbone diagram and pareto analysis goes a
long way. We cannot close bug#1 if this goes on the next release; this
kind of bugs would be still recurring especially on the netbook market
where we all use the same CPU, same chipset, and almost same
pheripherals.

On Sat, 2009-11-14 at 21:41 +0000, knuutsen wrote:
> @steve:
>
> Catscrash is right!
>
> Besides you're right! It seems that ubuntu would have been need more
> time for a stable release but that's their philosophie; every 6 month a
> release. As a owner of a netbook msi wind it's more than worse, for e.g.
> i tried gnome-shell and it runs from time to time unstable. I've also
> have a 6715s running ubuntu 9.10 with gnome-shell and ... no probs!
>
> In short: Don't forget steve; ubuntu is a peace of many peoples around
> the world and not a propietary of canonical at all.
>
> For e.g. the new sound environment is still working perfect with many
> other software e.g. skype. I'm using for e.g. a bluetooth headset and i
> can while i'm running skype change to the netbook mikro. This is, i
> guess , still not possible in Win7.
>
> And gnome-shell is a hell of good and very clever peace of desktop -
> never seen better before. If it's released (may be to late in one
> year...) it's mine and i'm working just right now with it at my notebook
> and ... after bugfixes here and flickering also, i will use it in future
> on my netbook. So far.
>
> cheers
> Knuutsen
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000 -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB mass storage device...

Read more...

Catscrash (catscrash) wrote :

@Stephan Diestelhorst: Kernel is being build right now, will report back soon

deChrLam (christopher-lambe) wrote :

@Stephan Diestelhorst, Catscrash: I have a clone Medion Akoya Mini E1210 with the same problems. Doing the kernel now and will report back later

knuutsen (peter-vornberg) wrote :

@Stefan Diestelhorst: if you will upload the "easy patch" as you wrote #120, i can compile the kernel on msi wind u100 lux. I did compile only once a kernel two years ago. I don't understand the how to from Alan Stern; restricted by my knowledge. :-( .

steve.horsley (steve-horsley) wrote :

@jbob (#119):
Is there a bug A (on the camera problem/USB itself)? I still haven't found one.

@Stefan, Catcrash:
I don't know how to compile a kernel. But if you can show me how or provide a link to a download, I will be happy to try it out and give feedback. I have an Advent wind clone.

deChrLam (christopher-lambe) wrote :

I compiled a new kernel using the same kernel version that comes with Karmic 2.6.31-15.49 and the
very detailed instructions here:
http://blog.avirtualhome.com/2009/11/03/how-to-compile-a-kernel-for-ubuntu-karmic/

The camera works now and so do the USB ports. Laptop is Medion Akoya Mini E1210 - clone of MSI Wind U100.

Just before compiling I did this:
 In the section enable_periodic() on line 460 of this file /dl/development/kernel/karmic/source/drivers/usb/host/ehci-sched.c, I added udelay(2000);

Differences to the guide:
git checkout Ubuntu-2.6.31-15.49 -b core2
dpkg -i linux-headers-2.6.31-14-core2_2.6.31-14.48_i386.deb linux-headers-2.6.31-14_2.6.31-14.48_all.deb linux-image-2.6.31-14-core2_2.6.31-14.48_i386.deb
CONCURRENCY_LEVEL=2 skipabi=true skipmodule=true fakeroot debian/rules binary-core2 <<wait many hours
CONCURRENCY_LEVEL=2 skipabi=true skipmodule=true fakeroot debian/rules binary-indep

Good luck compiling. I have no idea how to rip out the module and upload it. If I did, I would.

deChrLam (christopher-lambe) wrote :

I compiled a new kernel using the same kernel version that comes with Karmic 2.6.31-14.48
Sorry first line should read like above

deChrLam (christopher-lambe) wrote :

Sorry guys, guess my brain is winding down for another working week.
git checkout Ubuntu-2.6.31-14.48 -b core2 is what I wanted to write in differences

knuutsen (peter-vornberg) wrote :

@deChrLam: Please answer my questions, so that i can compile late that evening or night...

How long was the compiling process on your netbook (= i guess)?

Concurrency_level=2 is for the Atom Processor?

Did you try to enable with Fn+F6 than restart (and coldstart as well) without any plugged in devices in usb and .. thats important for me in battery mode?

Is the flickering still present? (see bug 415023 - i know thats not a kernel bug but perhaps...)

Thanks for answering ...

Many thanks up to you!!!!

deChrLam (christopher-lambe) wrote :

@knuutsen
I did not really pay attention to the compile but I guess somewhere between 3 and 4 hours

I read that if this command shows 2 processors then CONCURRENCY_LEVEL=2 is what one should use:
grep -c ^processor /proc/cpuinfo
Could be that I am wrong and my build took longer than normal.

I did not notice any flickering, I got this laptop on Thursday and installed Ubuntu Netbook Remix 9.10 on it. I had a terrible time installing it, probably because the Camera was on during the USB stick install.

So far I have booted a few times with and without memory stick in. The boot with memory stick in and camera on was a cold boot. After you install your new kernel press Shift during boot to pick your new kernel from the grub menu

knuutsen (peter-vornberg) wrote :

@deChrLam:
Just started compiling without concurrency... 9.12 pm ...looking.
You say i have to press Shift ? Ok. after i did sudo dpkg -i *.deb (for e.g.) i reboot and after the bios screen before grob appears i press Shift?! Is that right?

thx

deChrLam (christopher-lambe) wrote :

@knuutsen: yes that is right. Good luck with compiling.

Catscrash (catscrash) wrote :

i can confirm that it works with the patch and the change udelay(2000) in the file...

Stephan Diestelhorst (syon) wrote :

I can also confirm that the original udelay(2000) workaround does the trick.
However, this potentially introduces huge performance and other issues with
the kernel. Hence we should try to bring down the delay to something <=50.

I.e. try values in that range and see, whether this works, too.
In either way, thanks for your help and please report the outcomes!

There are multiple ways to compile a kernel, see for example here:
https://help.ubuntu.com/community/Kernel/Compile
I have used the "classical" way there:
https://help.ubuntu.com/community/Kernel/Compile#Alternate%20Build%20Method:%20The%20Old-Fashioned%20Debian%20Way

Apply the attached patch in the source directory with
 cd linux-source-2.6.31
 patch -p1 < ehci_udeal_2ms.patch

*before* you start the compile with either:
 AUTOBUILD=1 fakeroot debian/rules binary-debs
or
 fakeroot make-kpkg --initrd --append-to-version=-some-string-here kernel-image kernel-headers
(depending on which method you use, see linked reference)

As for the CONCURRENCY_LEVEL, anything >= 2 should be fine. These Netbooks are horribly slow with compiling the Linux kernel anyways :-(

Stephan Diestelhorst (syon) wrote :

One additional note: When playing with the udelay paramer: Omit the "clean" step in the instructions and keep the same suffix (with the --append-to-version option). That way recompilation and package building is then only taking on the order of minutes, not hours.

Catscrash (catscrash) wrote :

1000 working, next try 100

knuutsen (peter-vornberg) wrote :

Im still compiling 4 hours at least with the value 2000... why its so important to reduce this delay less 50? but it comes to an end - cause it's building the packages right now.

@Stephan Diestelhorst: if i compile again than i add your add like this:
skipabi=true skipmodule=true fakeroot debian/rules binary-core2 --append-to-version # thats right ????

If it's right i will compile it with 19

Stephan Diestelhorst (syon) wrote :

@knuutsen: If you use the "debian/rules" style of compilation, you do not have to worry about the "--append-to-version" parameter. To get quick recompiles, just *omit* the line with the "clean", I guess it is the one that says "fakeroot debian/rules clean".

Reduce this delay to less than 50, because then it would be possible tojust use this workaround, otherwise heavier rework is necessary: http://marc.info/?l=linux-kernel&m=125633610216133&w=2

Catscrash (catscrash) wrote :

100 doesn't work anymore here

knuutsen (peter-vornberg) wrote :

@ Stephan Diestelhorst:
Ok just recompiling it with the value 19 but what does *omit* mean to me? Sry for that less knowledge. I repeated the instructions of the site which is given in #126 including the "fakeroot debian/rules clean". Was that ok?

I have two old-ish HP nx6110 laptops without a built-in webcam that show similar symptoms when a uvcvideo (Xbox Live) webcam is left plugged in to the PCs' USB port at boot: basically the camera doesn't work and is not recognised by cheese, skype etc. Unplugging the camera from the laptop's USB port, reboot and plugging it in *after* the boot is complete resolves the problem. I suspect this bug (435352) is similar enough to cover my issue and I am eagerly awaiting a new kernel update to allow me to use my webcam without unplugging/replugging them. If you believe my bug is unrelated, please advise and I'll post a separate bug.

knuutsen (peter-vornberg) wrote :

@Stephan Diestelhorst: can confirm 1000 ; is working! 19 is not working.
Try later on....with 49 or any suggestions for the number?

Catscrash (catscrash) wrote :

can you validate my experience that 100 is not working?

Stephan Diestelhorst (syon) wrote :

Thanks to the sloooooow compile and package generation I have myself only tested so far:
udelay(2000) - works
udelay(50) - breaks

Currently compiling with 250, as Catcrash suggested that 100 breaks.
Ideally we should have two independent confirmations for each number and find the point where it changes from works -> breaks

What do we have so far:
udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catcrash)
udelay(250) - compiling (stephan d.)
udelay(100) - breaks (catcrash)
udelay(50) - breaks (stephan d.)

knuutsen (peter-vornberg) wrote :

@Catcrash, S. Diestelhorst: Cat i will confirm it late night with 100; currently running 48 ; S. Diestelhorst; good idea to confirm every experience. I will overtake your far tabs:

What do we have so far:
udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catcrash)
udelay(250) - compiling (stephan d.)
udelay(100) - breaks (catcrash), knuutsen will confirm or not this late night
udelay(50) - breaks (stephan d.)
udelay(48) - currently running (knuutsen)

We will see if its an iteration.... between numbers.

Stephan Diestelhorst (syon) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catcrash)
udelay(500) - open
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catcrash), compile(stephan d.), knuutsen will confirm or not this late night
udelay(50) - breaks (stephan d.)
udelay(48) - currently running (knuutsen)

Seems like we should search in the 250 us - 1000 us space, now.

LinusX (matthias-linusx) on 2009-11-16
Changed in linux (Ubuntu):
status: Triaged → Fix Released
status: Fix Released → Incomplete
knuutsen (peter-vornberg) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catcrash)
udelay(500) - open
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catcrash), compile(stephan d.)
udelay(50) - breaks (stephan d.)
udelay(48) - breaks (knuutsen)
udelay(350) - knuutsen later on the evening

deChrLam (christopher-lambe) wrote :

udelay(500) - works, if my method is correct
applied the patch, then adjusted the dealy to 500
root@Ubunut-UNR:/dl/development/kernel/karmic/source# skipabi=true skipmodule=true fakeroot debian/rules binary-core2
few minutes later finished

skipabi=true skipmodule=true fakeroot debian/rules binary-indep
few miuntes finished

dpkg -i linux-headers-2.6.31-14-core2_2.6.31-14.48_i386.deb linux-headers-2.6.31-14_2.6.31-14.48_all.deb linux-image-2.6.31-14-core2_2.6.31-14.48_i386.deb

boot and select the new kernel in grub

trying 250 now

Catscrash (catscrash) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(500) - open
udelay(300) - compiling (catscrash)
udelay(350) - knuutsen later on the evening
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash), compile(stephan d.)
udelay(50) - breaks (stephan d.)
udelay(48) - breaks (knuutsen)

knuutsen (peter-vornberg) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catcrash)
udelay(500) - works (deChrLam)
udelay(250) - breaks (stephan d.), compile (deChrLam)
udelay(100) - breaks (catcrash), compile(stephan d.)
udelay(50) - breaks (stephan d.)
udelay(48) - breaks (knuutsen)
udelay(350) - knuutsen later on the evening

jbob (jbobspam) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(500) - open
udelay(300) - compiling (catscrash)
udelay(350) - knuutsen later on the evening
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash), compile(stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

knuutsen (peter-vornberg) wrote :

I'm just going the same way deChrLam suggested with 350.

knuutsen (peter-vornberg) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(500) - works (deChrLam with method see # 148)
udelay(300) - compiling (catscrash)
udelay(350) - breaks (knuutsen with method # 148)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash), compile(stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

Stephan Diestelhorst (syon) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(350) - breaks (knuutsen with method # 148)
udelay(300) - compiling (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

Catscrash (catscrash) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(350) - breaks (knuutsen with method # 148)
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

knuutsen (peter-vornberg) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(350) - breaks (knuutsen with method # 148)
udelay(400)- breaks (knuutsen with method # 148)
udelay(300) - compiling (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

Catscrash (catscrash) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(600) - compiling
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(350) - breaks (knuutsen with method # 148)
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

Stephan Diestelhorst (syon) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(600) - compiling (catcrash)
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(400)- breaks (knuutsen with method # 148)
udelay(350) - breaks (knuutsen with method # 148)
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

You're too quick ;-) Fixed ordering and merged away entries.

Stephan Diestelhorst (syon) wrote :

For compiling: If you want to spare even the delay for building and installing
the package, as soon as the build process says "arch/x86/boot/bzImage is ready" (or the like)
cancel further processing (Ctrl+C) and just copy the new kernel over your your existing
experimental kernel:

cp arch/x86/boot/bzImage /boot/vmlinuz-2.6.31.4-<your_existing_extra_tag_here>

Please be sure to *overwrite* an existing experimental build so that you even do not have
to tweak GRUB's menu.lst. Then reboot, select the new entry and voila.

knuutsen (peter-vornberg) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(600) - compiling
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(350) - open
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

Catscrash (catscrash) wrote :

why did i compile 600... that was stupid
@knuutsen i don't find a new statement in your post, did i miss something or is the following the state of the moment?

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(600) - works (catcrash)
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(400)- breaks (knuutsen with method # 148)
udelay(350) - breaks (knuutsen with method # 148)
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

knuutsen (peter-vornberg) wrote :

@Catscrash: down there state of the arts - i cannot compile the fast way; it's not working and i used for 350 and 400 the compile method from deChrLam. 500 i couldn't confirm with the quick method of deChrLam so somewhere i made the fault.
Can you overtake 350 and 400?

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(600) - works (catcrash)
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(400)- open
udelay(350) - open
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

knuutsen (peter-vornberg) wrote :

@Stefan Diestelhorst, @Catscrash,@dChrLam,@jbob:

think we did enough compiling ; it is clear that we cannot reach < 50 ! the range is in between 300 - 500.

So may be S. Diestelhorst should report our efforts to the kernel - developers - that they have to build a new timer.

What are u thinking?

Besides we can work with the compiled ones. For my compiled kernel (my last try will be 400 the long way 4 hours) i will upload them to a shared folder in ubuntu one for my special netbook, so that other poeple can use the compiled ones .

cheers

deChrLam (christopher-lambe) wrote :

I must report that my method was flawed. Any number I put in for udelay was working 5, 250, 350. The only udelay that I can confirm as working is the 2000 one.

I must have an error somewhere. Maybe I should have deleted the files in the karmic folder first. I will try the long way for 400, deleting the files in the karmic folder and doing this before compiling:
fakeroot debian/rules clean

knuutsen (peter-vornberg) wrote :

@deChrLam: I made the same fault hours ago. Now i'm just compiling 400 as well. I started also with the fakeroot...
After that i implemented the udelay manually. And than the compiling begun an hour ago...

@Catscrash: Are u still compiling?

knuutsen (peter-vornberg) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(600) - works (catcrash)
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(400)- works (knuutsen)
udelay(350) - open
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

Stephan Diestelhorst (syon) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash)
udelay(600) - works (catcrash)
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(400)- works (knuutsen, stephan d.)
udelay(375) - breaks (stephan d.)
udelay(350) - breaks (stephan d.)
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

I think we have a tripping point now. Thanks everybody for helping!
I'll get back to the USB developers with these values. In the meantime we could set up a PPA that contains the udelay(400) patch, I'll look into this once I have some time!

steve.horsley (steve-horsley) wrote :

Gah! I'm so far behind you guys! I followed the procedure in #126 with little or no comprehension of what I was doing. Copy/paste, so I shouldn't have got it wrong.
Woke up this morning and found that I only have 2 of the 5 debs I'm supposed to have:
linux-headers-2.6.31-15-core2_2.6.31-15.49_i386.deb
linux-image-2.6.31-15-core2_2.6.31-15.49_i386.deb
Any idea where I might have gone wrong? Those won't install on their own because of dependencies on the missing ones.

Oktay Altunergil (oktaya) wrote :

Thanks for taking the time to do all this work guys. Two things for future though:

1) The kernel does not have to be built on the netbook. It would be faster if you have a faster machine in addition to the netbook.

2) I think the methodology here is a bit flawed. Not everybody has to build he kernel then test it on their machine. Since we're all talking about the same machine, it would be better if everybody compiled a kernel with a different value then uploaded that kernel somewhere. Then even people who did not have time to compile the kernel this time around would be able to at least install the kernel and report back.

Thanks again.

Cheers.

Stephan Diestelhorst (syon) wrote :

@Otkay:

1) The Netbook is my only 32-bit machine, and I didn't envision that a compile would take so long.
  Furthermore, with only compiling to a bzImage and replacing an exisitng (identical, except the udelay value) one, this method is down to less than 10 minutes. Setting up a distcc / cross-compiler would have been more elaborate.
Just mentioning that I'm well aware of the options here.

2) You are right, but I originally throught that this would be a more local exercise :-)

Something learned for next time :-)

I have submitted the findings to the linux-usb and linux-uvc-devel MLs.

knuutsen (peter-vornberg) wrote :

@S.Diestelhorst: I quess we have it so far. 400 is limit. I restarted cold and warm several times. Once i had the prob again with the "400" image. Since morning it doesn't occur again. For me the compiling ends here guys.

Stephan, you have, if i understand you right, given the information further to the linux guys?!

Let us hope that the timer will be build before christmas...

cheers christmas :-)

@Steve Horsley:# 126 and the link thats given there... follow these steps:

You forgot this here:
CONCURRENCY_LEVEL=2 skipabi=true skipmodule=true fakeroot debian/rules binary-indep

if you have run dpkg - i ....

than you should rebuild your grub - in my case i use the grub2. To get the information from the new kernel to grub open terminal:
sudo grub-mkconfig -o /boot/grub/grub.cfg
and:
sudo update-grub2

restart
and
cheers

And before compiling again don't forget to eliminate the core2 installed kernel in synaptic; there it's enough to delete the image from core2 and the headers with the word core2.

@Oktey A. :
Thanks for pleasure. But Stephan D. is right; thats my only 32 bit machine.

@All:
I will upload my debs i created with 400 milli seconds and 1000 in my share folder of ubuntu one. I let this folder open till Christmas. So you have to sign in ubuntu one - see ubuntu help if you don't know what i mean. And than you have to tell me here ...
I will create a share folder, where we can upload our debs for others. Stefan et al. : if you like to join send me an email. When i'm finished i will post it here.

My debs 400 and 1000 (the more save one is 1000 the more fast is 400 :-) ) were created on a "MSI - Wind U100 luxury (white case :-) ) with the Model Nr. MS - N011. Ralink Model inside (its network) : RT2700E and the Bluetooth Model inside: MS - 6837D.u

Warning: It's at your own risk to use this debs! They are only tested with the netbooks we are using - in my case see above. We are all private poeple here with a little knowledge of linux!!

knuutsen (peter-vornberg) wrote :

@All:

I'm finished and enabled the debs in my Cloud.

If you subscribed this bug - you can send me an email (klick my name for getting email). I will send you back an invitation. For serious emails please read the following and copy and paste it to the email and send me:

"I will download the debs you created here by sharing the folder you have enabled on your account."

This Invitation is only functioning, if you are a member of ubuntu one (Cloud Computing).

Ok, finishing my german english :-)

Cheers

Great job! Congrats to everybody that has been working on this issue! :-) :-) :-)

Please forgive my ignorance, but what's the impact of the udelay on performance. It is really critical to have the delay as small as possible or it is just one more of many threads running in background and, therefore, it doesn't matter the extra time introduced by the delay?

Many thanks in advance!

steve.horsley (steve-horsley) wrote :

@knuutsen@
Thanks for the help. You are right, I forgot the binary-indep step after the compile. I have now managed to install and run my home-compiled kernel. Hooray! Now I can start trying different values for the udelay.

Steve

knuutsen (peter-vornberg) wrote :

@ S. Diestelhorst, @ Catscrash,@deChrLam,@jbob: someone interested via empathy + add www.jabber.org account to implement a TechChat for this bug or news coming up the next weeks we can discuss there first?

Advantage: this bug is full of comments and my netbook needs seconds to show this site. So my suggestion is; only if it's important we should comment here further.

<email address hidden>

cheers

knuutsen (peter-vornberg) wrote :

Hey Jordi

thx!

It's a workaround if you type udelay in google - there are several sites
with experiences. Read it before installing. Anyway, if you use the debs
in the cloud - you use it at your own risk! Any damage is caused by you
and not us! We or i do not overtake any guarantee...Read also the README
For e.g. if the value of udelay is too high (far beyond from what we
tried) the computer crashes.

Jordi Sellares schrieb:
> Great job! Congrats to everybody that has been working on this issue!
> :-) :-) :-)
>
> Please forgive my ignorance, but what's the impact of the udelay on
> performance. It is really critical to have the delay as small as
> possible or it is just one more of many threads running in background
> and, therefore, it doesn't matter the extra time introduced by the
> delay?
>
> Many thanks in advance!
>

knuutsen (peter-vornberg) wrote :

@All without the compilers here:

This bug is not solved! The bug can only be fixed by creating a new timer from the linux developers. Udelay, what we compiled here, will temporarily work till the bug is fixed!

Cheers

Stève Resbeut (resbeut) on 2009-11-18
Changed in ubuntu-release-notes:
status: Fix Released → Confirmed
Martin Pitt (pitti) on 2009-11-18
Changed in ubuntu-release-notes:
status: Confirmed → Fix Released
Manuel (mbestler) wrote :

@kuutsen: Your udelay 400 debs didn't work on my MSI U100, but the udelay 1000 ones seems work. Thanks again for sharing.

However, Cheese doesn't work (it only displays a weired static picture), but Skype seems to work properly.

I don't know if that helps, but my lsusb shows following camera model: Bus 001 Device 002: ID 0c45:62c0 Microdia Sonix USB 2.0 Camera

Manuel

knuutsen (peter-vornberg) wrote :

@Manuel,

i just read in the internet that your webcam sonic (my msi has a bison..) has some trouble in other linux - distris. Nevertheless try the following (clear you use carmic):
type in terminal:

please look at terminal and type : uname -r
to check that the selfmade kernel is working and not the normal one.

sonic needs the uvcvideo as well...uvcvideo berlioz site says that your cam is working for:
0c45:62c0 Sonix USB 2.0 Camera (Acer Aspire 5050 and HP Pavilion DV6000 notebooks) Sonix Technology
0c45:62e0 MSI Starcam Racer Sonix Technology

try this :
start cheese from terminal (if there are errors it will showed up in terminal )
1. start cheese go to settings and look if your cam is recognized under /dev/video0 or 1
    next try is to low down solution
If it's not ok post it.

2. type in terminal
"gstreamer-properties"
 and choose the v4l instead v4l2 or vice versa see under video settings of gstreamer-properties. Check it with cheese. But i think there is little hope.
start cheese from terminal again ...
change Video Output from automatic to X11/xshm...

If nothing help go back to native settings.

3. check with Fn + F6 and lsusb if you can enable or disable the cam.
That has to function and our udelay works if not than my debs are not working.

4. You didn't forget to take uvcvideo from the blacklist, did you?

If nothing of the above suggestions help, try to compile your own kernel with udelay 500. See #126

cheers

Manuel (mbestler) wrote :

Thanks for your inquiries and help!

yes, I'm using the modified kernel (-core2) and the camera is now correctly recognized. Fn-F6 works now as well. So the debs are alright. My internal webcam was working fine under Intrepid, but broke with the Karmic install (fresh, not an upgrade) and with the normal kernel I have the same symptoms like everyone else with the Bison cam.

With the patched kernel Skype works now perfectly. On further investigation I also discovered that cheese is taking the correct picture, it is only the "live preview" in cheese that is messed up. So it looks like the udelay patch solves the usb issue for me too but I have still another problem to solve :-) That one is likely more related to video playback than to this bug. However, this means that the workaround also works for my cam model (0c45:62c0). Thanks again!

Blessings,
Manuel

swl (weezel-van) wrote :

Is there any indication about when there will be a fix released? I am not so technical and therefor a bit anxious about compiling an own kernel.

knuutsen (peter-vornberg) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash, confirmed by users here using the cloud debs)
udelay(600) - works (catcrash)
udelay(500) - works (deChrLam with method see # 148, stephan d.)
udelay(410) - compiling knuutsen
udelay(400)- works (knuutsen prob: start with active bison creates problems again!!!, stephan d.)
udelay(375) - breaks (stephan d.)
udelay(350) - breaks (stephan d.)
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

knuutsen (peter-vornberg) wrote :

No.

cheers
knuutsen

swl wrote:
> Is there any indication about when there will be a fix released? I am
> not so technical and therefor a bit anxious about compiling an own
> kernel.
>

knuutsen (peter-vornberg) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash, confirmed by users here using the cloud debs)
udelay(600) - works (catcrash)
udelay(500) - works (deChrLam with method see # 148, stephan d., compiling knuutsen)
udelay(410) - breaks (knuutsen if bison start incl.)
udelay(400)- works ( stephan d., knuutsen: breaks if bison start incl.)
udelay(375) - breaks (stephan d.)
udelay(350) - breaks (stephan d.)
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

knuutsen (peter-vornberg) wrote :

udelay(2000) - works (> 2 people)
udelay(1000) - works (knuutsen, catscrash, confirmed by users here using the cloud debs)
udelay(600) - works (catcrash)
udelay(500) - works (deChrLam with method see # 148, stephan d., knuutsen)
udelay(410) - breaks (knuutsen)
udelay(400)- works ( stephan d.), knuutsen: breaks)
udelay(375) - breaks (stephan d.)
udelay(350) - breaks (stephan d.)
udelay(300) - breaks (catscrash)
udelay(250) - breaks (stephan d.)
udelay(100) - breaks (catscrash, stephan d.)
udelay(50) - breaks (stephan d., jbob)
udelay(48) - breaks (knuutsen)

500 debs are in the cloud for download - for the newcomers for access sent an email.
cheers knuutsen

Changed in ubuntu-release-notes:
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
ixakep (ixakep) on 2009-11-22
Changed in linux (Ubuntu):
assignee: ixakep (ixakep) → nobody
- (a--deactivatedaccount) wrote :

Mon 24th Nov 2009 @ 04:25

Same story

My USB devices (on Medion Akoya E1210 : European version of MSI Wind) only work by blacklisting the uvcvideo...

no updates seem to get my Bison cam working back again yet..

Emmanuel C (manuco) wrote :

Why is this bug marked incomplete ?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Pinni (t-pinhammer) on 2009-11-23
Changed in ubuntu-release-notes:
status: Fix Released → Incomplete
Changed in ubuntu-release-notes:
status: Incomplete → Fix Released
igorsia (igorsia-pochta) wrote :

Linux netbook 2.6.31-15-generic #50-Ubuntu SMP Tue Nov 10 14:54:29 UTC 2009 i686 GNU/Linux

the bug is present.

Nuno (nuno-miguel-vitorino) wrote :

This is good news! Was about to get back to Jaunty just to have my webcam working again. Is the patch going to be available through the update manager or is it a manual patch?

I would imagine that the fix would be backported. The patch that I mentioned is being tested now. You can follow the progress if you read the linux-usb mailing list, the subject line is "Re: BisonCam 5986:0203 kills USB". Understand this is not an Ubuntu problem.

Does anyone know if the fix for MSI Winds with the bison webcam will have any
effect on the original winds? They also have a problem with detection of the
camera (if it's switched off) and the Fn+F6 sequence doesn't seem to affect the
blue tooth led any longer.

Under 8.10 which I am still using Fn+F6 is working perfectly as a 4-state
switch. Under Jaunty & Karmic that has all fallen apart.

I tried a back ported Karmic kernel and that worked fine with the 8.10 system.
--
Robin Becker

Nuno (nuno) wrote :

I can understand this is an Intel chipset problem, but then only Karmic seems to have things implemented correctly as both Jaunty and Windows have no problems at all with it. Let's see if Intel will mobilise the resources necessary to fix a bug affecting only a single version of a single operating system... My guess is that is not going to happen so I believe we'll need the patch for quite some time.

Nuno

Jiří Navrátil (plavcik) wrote :

I see the status of this bug report not as Fix Released, but as workaround available + mentioned in Release Notes

he real fix will be present later, right?

Do we have something like "workaround available" instead of "fix released" status in launchpad?

flabbergast (s3) wrote :

Awww jeeez. So, as was explained at least twice above:
 - It is: "'fix released' in ubuntu release notes", which is correct because ubuntu release notes now mention this bug
 - and "'confirmed' in linux (ubuntu)", which is also correct because it is now for sure that there is a bug, and there's no fix globally released for it (only a workaround).

So please, stop polluting this bug with unnecessary changes of status and things like that.

swl (weezel-van) wrote :

@luke.varnador; How do I get to that mailing list?

Mark Cariaga (mzc) wrote :
Download full text (4.9 KiB)

It just several things (1)a lot of people are experiencing the bug
(2)people does not bother reading all the threads, finally (3) all of us
are either figuring out a solution, looking for a solution, buzzing
other people to come up with a solution.

take it easy :) I hope everyone will be patient and read through all the
threads.

On Thu, 2009-11-26 at 13:42 +0000, Bender 02 wrote:
> Awww jeeez. So, as was explained at least twice above:
> - It is: "'fix released' in ubuntu release notes", which is correct because ubuntu release notes now mention this bug
> - and "'confirmed' in linux (ubuntu)", which is also correct because it is now for sure that there is a bug, and there's no fix globally released for it (only a workaround).
>
> So please, stop polluting this bug with unnecessary changes of status
> and things like that.
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000 -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the webcam before rebooting (FN+F6) or by blacklisting the uvcvideo module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe) the same thing happens: most of the time I get "cannot reset port" error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo and does not give "cannot reset port" errors and all suspend, USB storage and webcam are functional.
>
> This is a regression since it does not happen with ubuntu 9.04: I have used 9.04 for months before and it also works well if I boot with 9.04-netbook-remix usb image.
>
> Considering that the MSI Wind and its several clones are quite popular and that this bug will make suspend and USB unfunctional, it may have a quite big impact on ubuntu users, specially the netbook-remix friends.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
> Subd...

Read more...

swl (weezel-van) wrote :

So that patch of Oliver Neukum that seems to work. How do you install it/how does it work?

http://marc.info/?l=linux-usb&m=125896804814132&w=2

tags: added: regression-release
removed: regression-potential
knuutsen (peter-vornberg) wrote :

@Stephan Diestelhorst:

I patched with Oliver Neukums patch (whitch made two failures while patching. I corrected it manually - 2 positions were incorrect) the 2.6.31.4 kernel. See txt file line 25 and 80 (please its not for patching )for further informations.

The linux-image and -headers now working with the proposed 1000 from Alan Stern.

It works properly in that issue here but the fan is working permanent.

cheers
knuutsen

@All:
I will add the compiled kernel to the cloud. If the assignees of the cloud can test it please and report back here.

cheers
knuutsen

Sabi (sabi-susaeta-herrera) wrote :

web cam does not works

Stephan Diestelhorst (syon) wrote :

Sorry for being quiet for so long... In the meantime I have helped testing bugfixes of the issue from the linux-usb mailing list.
The issue should be resolved upstream, see the following commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ee4ecb8ac63a5792bec448037d4b82ec4144f94b

I have also back-ported the patch to Karmic's current kernel source, see attachment. Ubuntu devs, what would be needed to roll this out in a Karmic update?

Hi Stephan,

Cool, I see stable was CC'd on the upstream patch. Once this applied to the upstream stable release we'll get this automatically in Karmic the next time we rebase with the upstream 2.6.31.y stable. Note that we rebase with every stable release for 3 months following a non-LTS release - https://wiki.ubuntu.com/specs/KernelLucidSruPolicyReview. Do you know if this patch will make it into the upcoming 2.6.31.7 as I anticipate 2.6.31.7 being released relatively soon. If it doesn't make 2.6.31.7 I suspect it will be available in 2.6.31.8. Thanks.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
tags: added: 2.6.31.y
Martin Pitt (pitti) wrote :

Regression, lots of dupes, and patch available. I think this would make a fine inclusion into the next stable update.

Changed in linux (Ubuntu Karmic):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
importance: Undecided → High
status: New → Triaged
knuutsen (peter-vornberg) wrote :

@Stefan Diestelhorst: thx for doing that! Will patch the 2.6.31.4 this night and run the patch. If i get probs i will report it here!

cheers
knuutsen

I patched 2.6.32-rc8 Ubuntu sources and my camera works and there is
no USB issue. This bug should be finished. Now if we can only find
out if the Gnome guys are responsible for #415023.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
knuutsen (peter-vornberg) wrote :

@Luke Varnador:
i made a workaround for the bug415023. It is a film in youtube - use it till the bug is fixed by the gnome guys.
By the way i like the kde powermanager more than the ubuntu one.

cheers
knuutsen

I report success with the intel_ehci_periodic_fix.backport_2.6.31.4.patch on the akoya medion mini (msi wind clone)! I followed https://help.ubuntu.com/community/Kernel/Compile (the debian way) and everything worked like a charm. No need to build the restricted modules, at least on the akoya medion mini.

txvs (txvs-mail) wrote :

intel_ehci_periodic_fix.backport_2.6.31.4.patch is working fine in my LG X110. (also worked before udelay = 500, 1000 and 2000)

Good work!

knuutsen (peter-vornberg) wrote :

@All: intel_ehci_periodic_fix.backport_2.6.31.4.patch is working fine in my msi wind u100

@Luke.varnadore: bug 415023 has now a more easier workaround (thx also to maxdata) to replace gnome-power-manager with guidance-power-manager

cheers

David Planella (dpm) on 2009-12-07
Changed in linux (Ubuntu):
status: Fix Released → Confirmed

Does anybody know if the recent ubuntu kernel upgrade fixes the problem? Otherwise we will have to stick with the patched custom kernel...

knuutsen (peter-vornberg) wrote :

@Jordi Sellares:
the 2.6.31.16 does not!

tags: added: karmic
Tim Gardner (timg-tpi) wrote :

The upstream patch referenced in https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/435352/comments/202 was included in 2.6.31.7. The next stable kernel update should be available in -proposed with a week or so.

John Trostel (jtrostel-gmail) wrote :

so.... when is this expected to be in the main update? i.e. greater than 2.6.31.16?

knuutsen (peter-vornberg) wrote :

@John Trostel: highly likely 2.6.31.7 leads to 2.6.31.17 ubuntu kernel.

Demosthenes (demosthenes) wrote :

So is it still not safe to upgrade to Karmic on the MSI Wind U100? About a week when I see 2.6.31.17 in my update list?

knuutsen (peter-vornberg) wrote :

@Demosthenes: It should be so. Best is to wait till the poeple report green light next week. For safe only if you are not affected with bug415023 either.

tags: added: 2.6.31.7
removed: 2.6.31.y
Demosthenes (demosthenes) wrote :

I am also affected by bug415023 :-( So not safe to upgrade yet..

knuutsen (peter-vornberg) wrote :

@Demosthenes
go to bug415023 there is a really good workaround with a patch. Look at #201, #202 and read also jbobs comment in #203 and Sylvains answer in #205/206 there. Sylvain Defresne did a great job there on bug415023. We are very close to an end there like here! I suggest you wait until the next kernel release from ubuntu (next week) fixes this bug here and than you can take the Sylvain Defresne workaround.

Good hope for a fully working karmic on msi wind u100 before christmas! Yeah.

cheers
knuutsen

2.6.31.17.30 from Karmic Proposed (which was added recently) does not include the fix :(

Hmm - sounds not good. For me in germany the new kernel isn't released yet.

greets
knuutsen

Peter Schroeder schrieb:
> 2.6.31.17.30 from Karmic Proposed (which was added recently) does not
> include the fix :(
>

Nuno (nuno-miguel-vitorino) wrote :

That is bad news for sure... Guess I'll have to apply the patch for myself after all. Anyone has detailed instructions on how to apply it?

Nuno

As I mentioned earlier, I basically followed

https://help.ubuntu.com/community/Kernel/Compile

as explained in "the debian way". The only additional things I had to do is

- Save the patch at comment #202 of this forum at "~/src"
- After "cp -vi /boot/config-`uname -r` .config", "patch -p1 < ../intel_ehci_periodic_fix.backport_2.6.31.4.patch"

The compilation takes about 4 hours, but other than these there was no other problem. As mentioned earlier, you don't even need to build the restricted modules.

swl (weezel-van) wrote :

I also had some kernel stuff updated recently and that didn't seem to contain the fix either. Does these updates come in parts maybe?

Jhase (teleco) wrote :

Here there is some that may help

http://patchwork.kernel.org/patch/54970/

Jhase (teleco) wrote :

Sorry, I haven't notice that it was fixed.

luis.nando (luis-nando) wrote :

I am still affected by this bug.

knuutsen (peter-vornberg) wrote :

@Leann Ogasawara
I just did a look in the proposed linux-image 2.6.31.17 but the bug here isn't implemented.
There a problem? Can you add it to the kernel release?

Thx

knuutsen

luis.nando (luis-nando) wrote :

People, i have a question. I haven't looked at the Ubuntu Release Notes BEFORE upgrading to Karmic. I'm a doctor and my netbook will be a very important tool on my lectures on february. My question is, do I install Jaunty again? Is there any chance that this patch will be implemented before that?
Or is it a better choice to upgrade again to 10.04-alfa?

Thanks.

luis.nando wrote:
> People, i have a question. I haven't looked at the Ubuntu Release Notes BEFORE upgrading to Karmic. I'm a doctor and my netbook will be a very important tool on my lectures on february. My question is, do I install Jaunty again? Is there any chance that this patch will be implemented before that?
> Or is it a better choice to upgrade again to 10.04-alfa?
>
> Thanks.
>
>
Luis,

Are you using the webcam in your work? Are you needing it to hibernate
correctly? If not, you can likely do just fine with what you have on there.

Download full text (5.0 KiB)

@luis
Do not upgrade to lucid yet. Please check release schedule, since your
using pc at work it's better to wait for the release candidate at least

On Dec 18, 2009, at 12:17 PM, John Trostel <email address hidden> wrote:

> luis.nando wrote:
>> People, i have a question. I haven't looked at the Ubuntu Release
>> Notes BEFORE upgrading to Karmic. I'm a doctor and my netbook will
>> be a very important tool on my lectures on february. My question
>> is, do I install Jaunty again? Is there any chance that this patch
>> will be implemented before that?
>> Or is it a better choice to upgrade again to 10.04-alfa?
>>
>> Thanks.
>>
>>
> Luis,
>
> Are you using the webcam in your work? Are you needing it to
> hibernate
> correctly? If not, you can likely do just fine with what you have
> on there.
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb
> with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Confirmed
> Status in “linux” source package in Karmic: Triaged
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot
> karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000
> -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB
> cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB
> mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module
> is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the
> webcam before rebooting (FN+F6) or by blacklisting the uvcvideo
> module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe)
> the same thing happens: most of the time I get "cannot reset port"
> error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo
> and does not give "cannot reset port" errors and all suspend, USB
> storage and webcam are functional.
>
> This is a regression since it does not happen with ubuntu 9.04: I
> have used 9.04 for months before and it also works well if I boot
> with 9.04-netbook-remix usb image.
>
> Considering that the MSI Wind and its several clones are quite
> popular and that this bug will make suspend and USB unfunctional, it
> may have a quite big impact on ubuntu users, specially the netbook-
> remix friends.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC...

Read more...

luis.nando (luis-nando) wrote :

I don't use the camera, but this bug leads to no USB. Am I right?

Thanks

swl (weezel-van) wrote :

You can use the USB ports if you disable the camera during boot by pressing Fn F6.
This will allow you to use the USB ports. This has worked for me in around 85% of the boots.

luis.nando wrote:
> I don't use the camera, but this bug leads to no USB. Am I right?
>
> Thanks
>
>
I disabled the camera by editing the /etc/modprobe.d/blacklist.conf file.

If you (as root) add the line

blacklist uvcvideo

to the end of the file, the video camera module will not be loaded. I
believe this allows full use of the usb ports and solves the hiberation
problem as well. It does make it impossible to use the webcam though.

Changed in ubuntu-release-notes:
status: Fix Released → Fix Committed
Steve Langasek (vorlon) wrote :

This bug task is for the Ubuntu release notes, which obviously do include the information in question. Please don't change this status.

Changed in ubuntu-release-notes:
status: Fix Committed → Fix Released

By the way, Bug 494633 (karmic kernel update request, fix of comment #202 included) took up this issue. An update to 2.6.31.7 kernel is still open, hopefully that should require not too much time anymore.

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: afigueiredo 1504 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xffe00000 irq 16'
   Mixer name : 'Realtek ALC1200'
   Components : 'HDA:10ec0888,14620110,00100101'
   Controls : 21
   Simple ctrls : 13
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=8e970492-b534-4e0d-8077-672f936a7578
MachineType: MICRO-STAR INTERNATIONAL CO., LTD U-100
Package: linux (not installed)
ProcCmdLine: root=UUID=1137c547-1237-40c9-a29d-d22c4464cc5e ro locale=pt_BR quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=pt_BR.UTF-8
 LANGUAGE=pt_BR.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-17-generic N/A
 linux-firmware 1.26
RfKill:

Tags: ubuntu-unr
Uname: Linux 2.6.31-17-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
WifiSyslog:
 Jan 3 01:08:30 blackbox kernel: [ 809.313146] ===>rt_ioctl_giwscan. 1(1) BSS returned, data->length = 112
 Jan 3 01:10:30 blackbox kernel: [ 929.317141] ===>rt_ioctl_giwscan. 1(1) BSS returned, data->length = 112
 Jan 3 01:12:30 blackbox kernel: [ 1049.317162] ===>rt_ioctl_giwscan. 1(1) BSS returned, data->length = 112
 Jan 3 01:14:30 blackbox kernel: [ 1169.317179] ===>rt_ioctl_giwscan. 1(1) BSS returned, data->length = 112
 Jan 3 01:16:30 blackbox kernel: [ 1289.313113] ===>rt_ioctl_giwscan. 1(1) BSS returned, data->length = 112
WpaSupplicantLog:

dmi.bios.date: 01/16/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 4.6.3
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: U-100
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.board.version: Ver.001
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.chassis.version: Ver.001
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr4.6.3:bd01/16/2009:svnMICRO-STARINTERNATIONALCO.,LTD:pnU-100:pvrVer.001:rvnMICRO-STARINTERNATIONALCO.,LTD:rnU-100:rvrVer.001:cvnMICRO-STARINTERNATIONALCO.,LTD:ct3:cvrVer.001:
dmi.product.name: U-100
dmi.product.version: Ver.001
dmi.sys.vendor: MICRO-STAR INTERNATIONAL CO., LTD

tags: added: apport-collected
Stefan Bader (smb) wrote :

commit 5218e855654232269567d79af9e3be155e92e2ef in 2.6.31.7
Author: Oliver Neukum <email address hidden>
Date: Fri Nov 27 15:17:59 2009 +0100

    USB: work around for EHCI with quirky periodic schedules

Changed in linux (Ubuntu Karmic):
status: Triaged → Fix Committed
Stefan Bader (smb) wrote :

As it is contained in 2.6.31.7 it is supposedly fix-released in Lucid by now.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released

A quick look into karmic git showed that the kernel was upgraded to 2.31.9 some hours ago, but right now this didn't appear on karmic changes yet. Please keep us informed here when a new kernel is available on karmic-proposed. Thanks for fixing it.

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-karmic.git;a=shortlog
https://lists.ubuntu.com/archives/karmic-changes/2010-January/date.html

Accepted linux into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
knuutsen (peter-vornberg) wrote :

thanks.

John Trostel (jtrostel-gmail) wrote :

Is this ready in -proposed yet? I'll try it out if it will download and install as a package. I don't have the time (or incination) to reroll the kernel though.

I've got -proposed enabled but have not seen a new kernel tick through yet?

John Trostel (jtrostel-gmail) wrote :

it's been compiled and made into packages. The packages need to be manually approved before they are included in -proposed from what I can gather. It is possible to manually pull them down. I may try that later today.

This afternoon i tried to update my u90 bios with the 10G version (following the steps listed at https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/415023/comments/265) and both brightness (https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/415023) and webcam bugs seem to be fixed.

I hope this helps.

John Trostel (jtrostel-gmail) wrote :

added kernel packages manually. cheese (webcam app) works as well as usb (usb stick). brightness still flakey. Is that verification? (using i386 version)

Tobias Bradtke (webwurst) wrote :

where can i find that kernel package to add it manually?

John Trostel (jtrostel-gmail) wrote :

I went to https://launchpad.net/ubuntu/+source/linux/2.6.31-18.55
about the middle of the page is a section entitled Publishing
clicking on 'i386' brings up another page that includes all the new built packages

Tobias Bradtke (webwurst) wrote :

Thanks for the info! Although when i checked for that, i found the kernel already in proposed. And so i can say too, the kernel version 2.6.31-18-generic on i686 does allow the use of the webcam und usb-devices, finally.. Great stuff!

marco cammarata (marcocamma) wrote :

Just installed the new kernel 2.6.31-18; webcam and usb now work on my msi wind u100 with ubuntu 9.10. The refresh rate of camera looks a bit slower than before (but it is only my feeling).
Thanks,
marco

Yep. Works for me on a U100. I enabled proposed, updated through update manager, restarted, removed the blacklist.conf entry, restarted again, swore at the computer a lot until I realised I also had to turn the camera on via Fn F6, and then took a whole lot of photos of myself grinning stupidly into the cam. Thanks so much to the people who worked on this!

matze (matthias-ruegge) wrote :

The kernel 2.6.31-18 from karmic proposed fixed the problem with the webcam "0c45:62c0 Microdia Sonix USB 2.0 Camera" in my MSI U100.
Thanks a lot to all the people involved!

Jaap (hyverist) wrote :

Webcam and usb on my TargaTraveller works now as it used to work.
Thanks to the people who worked on this fix!

Jaap.

Manuel (mbestler) wrote :

The 2.6.31-18 kernel from -proposed fixed it for me too on my MSI U100 with Microdia Sonix USB 2.0 Camera(0c45:62c0). Thanks to everyone helping to make this work!

Manuel

saniac (stephen-vital) wrote :

Just pulled kernel from karmic-proposed -- it fixes my problem with the Logitech camera reported here https://bugs.launchpad.net/ubuntu/+source/linux/+bug/435352/comments/60

Thanks!

Martin Pitt (pitti) on 2010-01-10
tags: added: verification-done
removed: verification-needed
knuutsen (peter-vornberg) wrote :

@Martin Pitt:
linux-image generic works. Took it from #265
linux-headers won't work - depencies prob. Tried all out from #265

Any suggestions?

thx

knuutsen
msi wind u100 lux (european version)

Kernel 2.6.31-18 from karmic propose fixed the problem with Bison cam and USB ports on my MSI U90 here in DK
tnx
Vognstrup

Whitelight (whitelight4711) wrote :

Known problems with Terra mobile 10go! (like Akoya / MSI Wind) are fixed. Many thanks
to all who have made a man happy with this Kernel - Update.

thx

Whitelight

Can anyone with a U100 confirm whether this fixes the Fn+F11 wifi/bluetooth state problems. Under 8.10 I have Fn+F11 being a four state control; whereas under 9.04/9.10 it appears to be only two state and the bluetooth led nevers seems to appear.

swl (weezel-van) wrote :

I have an U100 and I have four state control with Fn+F11. The Blue Tooth functions again as it did under 8.10.

Linux kernel 2.6.31-18 fixes USB camera bug, but bightness problem still
persists...

--
-jno
"Tiger got to hunt, bird got to fly; Man got to sit and wonder, 'Why, why,
why?' Tiger got to sleep, bird got to land; Man got to tell himself he
understand." K,Vonnegut

Sorry to ruin the celebrations but the released fix does not appear to fix the incarnation of the bug reported in comment 141 ( https://bugs.launchpad.net/ubuntu/+source/linux/+bug/435352/comments/141 )

A Xbox Live USB camera connected at boot does not get recognized, (cheese shows the "test screen" as if no camera present and skype shows "No camera detected") -- a quick unplug/replug solves the issue and the camera is working fine.

I reported this alongside this bug since they sounded similar. Should I now report a separate bug for this issue? Thank you!

Sebastian Berthold (sleif) wrote :

@ Robin Becker
I also have an U100 and I have four state control with Fn+F11 too - but the Blue Tooth led doesn't work anymore :-(, may be it's broken?.

Jorge Juan (jjchico) wrote :

@Anders: this is most probably a different issue so you should report a separate bug. If your USB system does not hang then it is definitively a different bug.

@Robin, Sebastian: I would open a different bug for wifi/bt led issues. I have never seen this problem in my U100-026E. There is a new bios version for the U100 available that helps with Bug #415023. You can check there and see if it also helps with led problems. My leds work right with old/new kernels and bios.

jno (jnoster) wrote :

BTW, there is a custom version of 10.G with modified kbd actions:
http://msiw.ru/forum/25-819-13561-16-1263232682
The most interesting is the use of Fn+F11 to switch Wi-Fi solely and
Ctrl+Fn+F11 to switch BT (that means no interrupts in Wi-Fi while switching
BT on or off).
I make use the previous version of that custom firmware and it was Ok.
I plan to upgrade to the version soon.

On Wed, Jan 13, 2010 at 01:44, Jorge Juan <email address hidden> wrote:

> @Anders: this is most probably a different issue so you should report a
> separate bug. If your USB system does not hang then it is definitively a
> different bug.
>
> @Robin, Sebastian: I would open a different bug for wifi/bt led issues.
> I have never seen this problem in my U100-026E. There is a new bios
> version for the U100 available that helps with Bug #415023. You can
> check there and see if it also helps with led problems. My leds work
> right with old/new kernels and bios.
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with
> bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-jno
"Tiger got to hunt, bird got to fly; Man got to sit and wonder, 'Why, why,
why?' Tiger got to sleep, bird got to land; Man got to tell himself he
understand." K,Vonnegut

Everything working good so far with freshly upgraded karmic on 2.6.31-18, LG X110-L.A7SAG (MSI Wind Clone Netbook with a Bison webcam, uvcvideo removed from /etc/modprobe.d/blacklist.conf). Comment #278 talks about a webcam brightness problem, I've got a real dark picture here, too (before and after this solve) but this is another construction site. Thanks and closed for me.

Cliff Haas (cliff-haas) on 2010-01-17
Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
jno (jnoster) wrote :

So, "custom" 10.G firmware installed on Roverbook Neo U100 (MSI Wind U100
re-branded).

VideoCam is ok (in cheese), USB devices (mouse, "disks") are ok, brightness
problem gone, Wi-Fi and BT are switched on/off separately.

Kernel: 2.6.31-18-generic

On Sun, Jan 17, 2010 at 07:18, Cliff Haas <email address hidden> wrote:

> ** Changed in: linux (Ubuntu Karmic)
> Status: Fix Committed => Fix Released
>
> ** Changed in: linux (Ubuntu Karmic)
> Status: Fix Released => Fix Committed
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with
> bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-jno
"Tiger got to hunt, bird got to fly; Man got to sit and wonder, 'Why, why,
why?' Tiger got to sleep, bird got to land; Man got to tell himself he
understand." K,Vonnegut

tweaker (r-finlayson) on 2010-01-18
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :

please don't change bug statuses without explanation.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Karmic):
status: Fix Released → Fix Committed
Jure Sah (dustwolfy) wrote :

2.6.31-18-generic on i686 on MSI WIND U100 12, webcam UVC 1.00 device BisonCam, NB Pro...

USB ports now work fine. Did not test webcam.

Please make fix official for all nonexpert users. :)

Christian Berg (xeniac) wrote :

For your information: Im running Ubuntu 10.04 Alpha2 on the LG X110 - (a rebranded MSI Wind).
The Bisoncam now works like a charm, the videoresponse on 1280x1024 is faster than before and the USB Ports are stable.

I would call this Bug fixed for the next Release.

Giannis (giannis.mz) wrote :

This bug is reinstated on 2.6.31-19-generic. :(

Webcam and usb are not working again. Had to revert back to 2.6.31-18-generic.

Mark Cariaga (mzc) wrote :
Download full text (4.5 KiB)

Did you xheck if the switch is off?

On Feb 5, 2010, at 8:46 AM, Giannis <email address hidden> wrote:

> This bug is reinstated on 2.6.31-19-generic. :(
>
> Webcam and usb are not working again. Had to revert back to
> 2.6.31-18-generic.
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb
> with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Karmic: Fix Committed
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot
> karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000
> -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB
> cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB
> mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module
> is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the
> webcam before rebooting (FN+F6) or by blacklisting the uvcvideo
> module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe)
> the same thing happens: most of the time I get "cannot reset port"
> error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo
> and does not give "cannot reset port" errors and all suspend, USB
> storage and webcam are functional.
>
> This is a regression since it does not happen with ubuntu 9.04: I
> have used 9.04 for months before and it also works well if I boot
> with 9.04-netbook-remix usb image.
>
> Considering that the MSI Wind and its several clones are quite
> popular and that this bug will make suspend and USB unfunctional, it
> may have a quite big impact on ubuntu users, specially the netbook-
> remix friends.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jjchico 1879 F.... pulseaudio
> CRDA: Error: [Errno 2] No existe el fichero ó directorio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xffe00000 irq 16'
> Mixer name : 'Realtek ALC1200'
> Components : 'HDA:10ec0888,14620110,00100101'
> Controls : 21
> Simple ctrls : 13
> Date: Wed Sep 23 17:19:36 2009
> DistroRelease: Ubuntu 9.10
> MachineT...

Read more...

ThomasEgi (antitron) wrote :

2.6.31-19 didnt work here either. couldnt test the 18 version but 19 doesnt work even with camera turned on.

Giannis (giannis.mz) wrote :

@ mzc :

Yes. Webcam is not working at all. Bluetooth is not working if it's switched off at boot. Any usb device that is not already plugged in at boot will not work. (usb hotplug not working).

Basically, it's exactly the same bug. I think the patch that fixed this in 2.6.31-18, was omitted from 2.6.31-19

Mark Cariaga (mzc) wrote :
Download full text (4.7 KiB)

Look like a minor oversight. Hopefully it gets corrected soon

On Feb 5, 2010, at 10:03 AM, Giannis <email address hidden> wrote:

> @ mzc :
>
> Yes. Webcam is not working at all. Bluetooth is not working if it's
> switched off at boot. Any usb device that is not already plugged in at
> boot will not work. (usb hotplug not working).
>
> Basically, it's exactly the same bug. I think the patch that fixed
> this
> in 2.6.31-18, was omitted from 2.6.31-19
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb
> with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Karmic: Fix Committed
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot
> karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000
> -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB
> cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB
> mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module
> is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the
> webcam before rebooting (FN+F6) or by blacklisting the uvcvideo
> module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe)
> the same thing happens: most of the time I get "cannot reset port"
> error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo
> and does not give "cannot reset port" errors and all suspend, USB
> storage and webcam are functional.
>
> This is a regression since it does not happen with ubuntu 9.04: I
> have used 9.04 for months before and it also works well if I boot
> with 9.04-netbook-remix usb image.
>
> Considering that the MSI Wind and its several clones are quite
> popular and that this bug will make suspend and USB unfunctional, it
> may have a quite big impact on ubuntu users, specially the netbook-
> remix friends.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jjchico 1879 F.... pulseaudio
> CRDA: Error: [Errno 2] No existe el fichero ó directorio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xffe00000 ir...

Read more...

Could it be that the latest kernel -19 is based on 2.6.31-16.52 (was predecessor on karmic-security) and not on 2.6.31-18.55 which fixed this but never made it from karmic-proposed to -updates?

>> Could it be that the latest kernel -19 is based on 2.6.31-16.52 (update: .53?) (was predecessor on karmic-security) and not on 2.6.31-18.55 which fixed this but never made it from karmic-proposed to -updates?

http://packages.ubuntu.com/karmic-updates/allpackages?format=txt.gz

...in karmic-updates is a gap from linux-image-2.6.31-17-generic (2.6.31-17.54) [maybe that one was base and even without our fix] to now current linux-image-2.6.31-19-generic (2.6.31-19.56).

Giannis (giannis.mz) wrote :

@wolfgang:

You're probably right. Yes, the patched -18 kernel is in proposed, and -19 comes from security. That explains it. I hope the next kernel release (-20?) when -18 makes it on updates will include the patch for this bug, and the security patches from -19.

swl (weezel-van) wrote :

Is there any indication about how long this make take before the next kernel with patch is available?

Jure Sah (dustwolfy) wrote :

Installed the new kernel upgrade and now my USB ports no longer work again. Why didn't you include the fix in the official kernel?

Download full text (4.5 KiB)

I guess the security issue weighs more important than the bug.. I just
hope the bug fix can be rolled out on the next patch.

On Sat, 2010-02-06 at 22:02 +0000, DustWolf wrote:
> Installed the new kernel upgrade and now my USB ports no longer work
> again. Why didn't you include the fix in the official kernel?
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Karmic: Fix Committed
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000 -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the webcam before rebooting (FN+F6) or by blacklisting the uvcvideo module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe) the same thing happens: most of the time I get "cannot reset port" error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo and does not give "cannot reset port" errors and all suspend, USB storage and webcam are functional.
>
> This is a regression since it does not happen with ubuntu 9.04: I have used 9.04 for months before and it also works well if I boot with 9.04-netbook-remix usb image.
>
> Considering that the MSI Wind and its several clones are quite popular and that this bug will make suspend and USB unfunctional, it may have a quite big impact on ubuntu users, specially the netbook-remix friends.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jjchico 1879 F.... pulseaudio
> CRDA: Error: [Errno 2] No existe el fichero ó directorio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xffe00000 irq 16'
> Mixer name : 'Realtek ALC1200'
> Components : 'HDA:10ec0888,14620110,00100101'
> Controls : 21
> Simple ctrls : 13
> Date: Wed Sep 2...

Read more...

deChrLam (christopher-lambe) wrote :

My goodness, why can they bloody well include the fix in the new kernels. We all thought that it would be in .16, but now we are at .19 and still no fix.

FIX IT !!!!! It is long overdue. And no, I don't feel like building my own kernel to fix it myself, just to have a .20 or .21 update with the old bug in it and my cam not working after updating.

Felipe (felipeolcav) wrote :

Hi,

I found the brightness bug solution for the new kernel at http://linux.bitbaro.hu/en/2010/01/22/msi-wind-u100-and-ubuntu-9-10-karmic-koala/ , but cannot fix the webcam problem yet. Is there anyway for solving this bug before new kernel release? (I've looked for it in the previous comments, but didn't find).

Thanks and kind regards,

Felipe

This really is crap. Ubuntu users have to make a choice between basic hardware functionality and security now?

For a really simple workaround (which assumes you previously installed 2.6.31-18 from proposed, and that may leave you insecure), hold down shift as you boot so that the grub menu displays, then click down to the previously installed 2.6.31-18 using the down arrow, and press enter. It'll take a little extra time to boot, but you should then be up and running on 2.6.31.18 and both the camera and usb port should work.

Martin Pitt (pitti) wrote :

swl [2010-02-06 20:51 -0000]:
> Is there any indication about how long this make take before the next
> kernel with patch is available?

Just accepted from the proposed queue, will take some time to build
now.

Martin Pitt <email address hidden> wrote:
> swl [2010-02-06 20:51 -0000]:
>> Is there any indication about how long this make take before the next
>> kernel with patch is available?
>
> Just accepted from the proposed queue, will take some time to build
> now.

What is keeping the bugfix from making it into the normal updates?

Stephan Diestelhorst [2010-02-08 11:26 -0000]:
> What is keeping the bugfix from making it into the normal updates?

The entire kernel update needs to be verified first before it can go
to -updates. Unfortunately the security update got in between.

unreal (networkunreal) on 2010-02-08
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Incomplete
Steve Langasek (vorlon) on 2010-02-08
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
txvs (txvs-mail) wrote :

Last normal kernel update (2.6.31-20-generic) fixed again USB and webcam.

Jeremy Foshee (jeremyfoshee) wrote :

setting top level tag for the kernel to Fix Released as it was overlooked.

-JFo

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Jojo (kuzniarpawel) wrote :

After recent upgrade my camera stoped working on MSI Wind U100. It worked fine before. Now Fn-F6 is not recognized.

Changed in linux (Ubuntu Karmic):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) on 2010-02-13
Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
expos (exmons) wrote :

@ Steve Langasek / Jeremy Foshee

Why did you mark this bug with a "Fix Released" tag for Ubuntu Karmic? I'm just a "normal" end-user, and so I'm still on kernel 2.6.31-19-generic as there where no newer kernel provided in the updates-repository. In my opinion a fix is released when it reaches the normal user.
I don't want to enable proposed-repoitory, so I'm still waiting for a regular update to fix this bug.

luis.nando (luis-nando) wrote :

Can anyone confirm that this bug was fixed so i can finally upgrade to Karmic?

Mark Cariaga (mzc) wrote :
Download full text (4.5 KiB)

the fix mentioned in the thread is still in -proposed which means its
not yet confirmed/certified. better to wait until its really released.

On Mon, 2010-02-15 at 01:15 +0000, luis.nando wrote:
> Can anyone confirm that this bug was fixed so i can finally upgrade to
> Karmic?
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Karmic: Fix Released
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000 -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the webcam before rebooting (FN+F6) or by blacklisting the uvcvideo module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe) the same thing happens: most of the time I get "cannot reset port" error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo and does not give "cannot reset port" errors and all suspend, USB storage and webcam are functional.
>
> This is a regression since it does not happen with ubuntu 9.04: I have used 9.04 for months before and it also works well if I boot with 9.04-netbook-remix usb image.
>
> Considering that the MSI Wind and its several clones are quite popular and that this bug will make suspend and USB unfunctional, it may have a quite big impact on ubuntu users, specially the netbook-remix friends.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jjchico 1879 F.... pulseaudio
> CRDA: Error: [Errno 2] No existe el fichero ó directorio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xffe00000 irq 16'
> Mixer name : 'Realtek ALC1200'
> Components : 'HDA:10ec0888,14620110,00100101'
> Controls : 21
> Simple ctrls : 13
> Date: Wed Sep 23 17:19:36 2009
> DistroRelease: Ub...

Read more...

I agree with expos' comment #308, this fix is only committed but not released. I feel free to reset the flag from "Released" to "Committed". If somebody needs to revert it to "Released", please comment why.

By the way, this fix was part of upstream Linux 2.6.31.9 and some hours ago in the Ubuntu kernel queue, upstream 2.6.31.12 got on the way. So please support bug #510674 https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/510674 and follow http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-karmic.git;a=shortlog for latest news on that.

Changed in linux (Ubuntu Karmic):
status: Fix Released → Fix Committed
haikox (h-petersen) on 2010-02-18
Changed in ubuntu-release-notes:
status: Fix Released → Incomplete
Steve Langasek (vorlon) wrote :

please don't change bug status without explanation.

Changed in ubuntu-release-notes:
status: Incomplete → Fix Released
Download full text (4.5 KiB)

Hi steve,
Is the fix still in -proposed?

On Feb 18, 2010, at 2:38 PM, Steve Langasek <<email address hidden>
 > wrote:

> please don't change bug status without explanation.
>
> ** Changed in: ubuntu-release-notes
> Status: Incomplete => Fix Released
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb
> with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Karmic: Fix Committed
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot
> karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000
> -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB
> cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB
> mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module
> is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the
> webcam before rebooting (FN+F6) or by blacklisting the uvcvideo
> module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe)
> the same thing happens: most of the time I get "cannot reset port"
> error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo
> and does not give "cannot reset port" errors and all suspend, USB
> storage and webcam are functional.
>
> This is a regression since it does not happen with ubuntu 9.04: I
> have used 9.04 for months before and it also works well if I boot
> with 9.04-netbook-remix usb image.
>
> Considering that the MSI Wind and its several clones are quite
> popular and that this bug will make suspend and USB unfunctional, it
> may have a quite big impact on ubuntu users, specially the netbook-
> remix friends.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jjchico 1879 F.... pulseaudio
> CRDA: Error: [Errno 2] No existe el fichero ó directorio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xffe00000 irq 16'
> Mixer name : 'Realtek ALC1200'
> Components : 'HDA:10ec0888,14620110,00100101'
> Controls : 21
> Simple ctrls : 13
> Date: Wed Sep 23 17:19:36 2009
> DistroReleas...

Read more...

On Thu, Feb 18, 2010 at 10:49:47PM -0000, mzc wrote:
> Hi steve,
> Is the fix still in -proposed?

I haven't followed the progress of this bug, and can't tell you offhand; but
that would certainly not affect the status of the release notes task.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Changed in linux (Ubuntu Karmic):
status: Fix Committed → In Progress
Steve Langasek (vorlon) on 2010-02-20
Changed in linux (Ubuntu Karmic):
status: In Progress → Fix Committed
Jens007 (jkauth) on 2010-02-21
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released

Shouldn't this be assigned to the Ubuntu kernel team and not the Canonical kernel team? Just want to make sure it is assigned properly so that it doesn't get looked over.

Download full text (4.6 KiB)

I think canonical should handle this and get msi on board for
support. Msi wind is not even certified unlike aspire one

On Feb 24, 2010, at 1:44 PM, "luke.varnadore"
<email address hidden> wrote:

> Shouldn't this be assigned to the Ubuntu kernel team and not the
> Canonical kernel team? Just want to make sure it is assigned
> properly so
> that it doesn't get looked over.
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb
> with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Karmic: Fix Committed
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot
> karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000
> -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB
> cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB
> mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module
> is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the
> webcam before rebooting (FN+F6) or by blacklisting the uvcvideo
> module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe)
> the same thing happens: most of the time I get "cannot reset port"
> error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo
> and does not give "cannot reset port" errors and all suspend, USB
> storage and webcam are functional.
>
> This is a regression since it does not happen with ubuntu 9.04: I
> have used 9.04 for months before and it also works well if I boot
> with 9.04-netbook-remix usb image.
>
> Considering that the MSI Wind and its several clones are quite
> popular and that this bug will make suspend and USB unfunctional, it
> may have a quite big impact on ubuntu users, specially the netbook-
> remix friends.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jjchico 1879 F.... pulseaudio
> CRDA: Error: [Errno 2] No existe el fichero ó directorio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xffe00000 irq 16'
> Mixer name : 'Realtek ALC1200'
> Components : 'HDA:10e...

Read more...

Launchpad Janitor (janitor) wrote :
Download full text (24.5 KiB)

This bug was fixed in the package linux - 2.6.31-20.57

---------------
linux (2.6.31-20.57) karmic-proposed; urgency=low

  [ Kees Cook ]

  * SAUCE: x86: brk away from exec rand area
    - LP: #452175

  [ Keng-Yu Lin ]

  * SAUCE: (drop after 2.6.31) input: Add hotkey quirk for Samsung
    Q210/P210 laptops
    - LP: #385683

  [ Pascal Bach ]

  * SAUCE: (drop after 2.6.31) input: Add hotkey quirk for Fujitsu Amilo
    1848+u
    - LP: #458503

  [ Stefan Bader ]

  * Revert "[Upstream] (drop after 2.6.31) acerhdf: fix fan control for
    AOA150 model"
    - LP: #494633
  * [Config] Disable CONFIG_USB_DEVICEFS
    - LP: #488274

  [ Upstream Kernel Changes ]

  * Revert "ext4: Don't update superblock write time when filesystem is
    read-only"
    - LP: #496816
  * Revert "ide: try to use PIO Mode 0 during probe if possible"
    - LP: #503430
  * Revert "isdn: isdn_ppp: Use SKB list facilities instead of home-grown
    implementation."
    - LP: #503430
  * nilfs2: fix kernel oops in error case of nilfs_ioctl_move_blocks
    - LP: #494633
  * cifs: don't use CIFSGetSrvInodeNumber in is_path_accessible
    - LP: #494633
  * cifs: clean up handling when server doesn't consistently support inode
    numbers
    - LP: #494633
  * cifs: clear server inode number flag while autodisabling
    - LP: #494633
  * CIFS: fix oops in cifs_lookup during net boot
    - LP: #494633
  * CIFS: Duplicate data on appending to some Samba servers
    - LP: #494633
  * rtl8187: Fix kernel oops when device is removed when LEDS enabled
    - LP: #494633
  * md: don't clear endpoint for resync when resync is interrupted.
    - LP: #494633
  * md/raid5: make sure curr_sync_completes is uptodate when reshape starts
    - LP: #494633
  * md/raid1/raid10: add a cond_resched
    - LP: #494633
  * ALSA: usb-audio: fix combine_word problem
    - LP: #494633
  * ALSA: hda - Dell Studio 1557 hd-audio quirk
    - LP: #494633
  * ALSA: AACI: fix AC97 multiple-open bug
    - LP: #494633
  * ALSA: AACI: fix recording bug
    - LP: #494633
  * jffs2: Fix memory corruption in jffs2_read_inode_range()
    - LP: #494633
  * sound: rawmidi: disable active-sensing-on-close by default
    - LP: #494633
  * sound: rawmidi: fix checking of O_APPEND when opening MIDI device
    - LP: #494633
  * sound: rawmidi: fix double init when opening MIDI device with O_APPEND
    - LP: #494633
  * sound: rawmidi: fix MIDI device O_APPEND error handling
    - LP: #494633
  * highmem: Fix race in debug_kmap_atomic() which could cause warn_count
    to underflow
    - LP: #494633
  * highmem: Fix debug_kmap_atomic() to also handle KM_IRQ_PTE, KM_NMI, and
    KM_NMI_PTE
    - LP: #494633
  * powerpc: Fix DEBUG_HIGHMEM build break from d4515646699
    - LP: #494633
  * kmap: fix build errors with DEBUG_HIGHMEM enabled
    - LP: #494633
  * V4L/DVB (13169): bttv: Fix potential out-of-order field processing
    - LP: #494633
  * V4L/DVB (13170): bttv: Fix reversed polarity error when switching video
    standard
    - LP: #494633
  * V4L/DVB (13109): tda18271: fix signedness issue in
    tda18271_rf_tracking_filters_init
    - LP: #494633
  * V4L/DVB (13107): tda18271: fix overflow in FM radio frequency...

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Eamon Collins (eamoncollins) wrote :

I have an MSI U100. To resolve the webcam issues I needed to do the following:
1. Flash update of the BIOS from the MSI website
2. Clean install of UNR 9.10
3. Open up the video settings - sudo gstreamers-properties
4. Set the video output setting to X Window System (X11/XShm/Xv) [This sets the video to the internal video card and not the cpu).

Result is WebCam and USB ports are working.

Michael Fox (mfox-trentu) wrote :

Upgraded to kernel 2.6.31.20-generic, using the Update Manager. My BIOS was already the latest available (1.0G). I tested the webcam first in CrunchBang Linux to make sure it was enabled on my U100. Rebooted into UNR 9.10, checked to make sure uvcvideo wasn't still blacklisted (I had done that previously to make the usb ports work), and it wasn't. Unfortunately, cheese was still telling me "no camera found".

Hoping that all was wrong was the video settings, I tried the "sudo gstreamer-properties" command in a terminal (note: it's gstreamer, not gstreamers), set the video output to X11/XShm/Xv, but it still doesn't work. I'm not willing to start over again with a clean install (10.04 is coming out soon enough), but I would be interested to know if anyone else managed to get their Wind videocam working with some other tweak.

Catscrash (catscrash) wrote :

nop, 2.6.31-20 also not working for me

libertarian (david-treumann) wrote :

Kernel Update to 2.6.31-20 fixed it for me. No need to temper with gstreamer.

I'm using Bios revision 10B. Maybe that is the reason for it working for some and not for others?
@Eamon Collins: Which bios revision do you use?

jno (jnoster) wrote :

In general, sudo rmmod uvcvideo/sudo modprobe uvcvideo makes me happy.
If I need a USB service and it fails, I knock out the driver. If I want
webcam (quite a rare occasion), I load it back.

On Sat, Mar 6, 2010 at 22:17, libertarian <email address hidden> wrote:

> Kernel Update to 2.6.31-20 fixed it for me. No need to temper with
> gstreamer.
>
> I'm using Bios revision 10B. Maybe that is the reason for it working for
> some and not for others?
> @Eamon Collins: Which bios revision do you use?
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with
> bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-jno
"Tiger got to hunt, bird got to fly; Man got to sit and wonder, 'Why, why,
why?' Tiger got to sleep, bird got to land; Man got to tell himself he
understand." K,Vonnegut

Michael Fox (mfox-trentu) wrote :

I should have noted in my earlier post that although webcam still doesn't work, usb ports do without having to blacklist uvcvideo. It's interesting that libertarian's camera now works, and he/she has an older BIOS than I do. libertarian, are you running the camera on Cheese?

libertarian (david-treumann) wrote :

@Michael: He :)

The camera works with Cheese without a hitch.
lsusb shows that the USB-ports continue working after activating the camera via Fn-F6 and a mounted USB-stick keeps on working, too.

Although If I remember correctly the camera once did this even before I installed the new Kernel. But normal state was that it wouldn't work. The USB-ports always stopped working. Even this one time when the camera worked.

Maybe you could boot a live-cd-Ubuntu from an USB flash drive and then apply the updates via the update-manager to test if the changes to the configuration you made somehow still influence the behavior? Ah no. This won't work since the kernel would stay the same as far as I know. Or is there a way I don't know about?

I plan on flashing the BIOS some time in the future because I'm still suffering from the flickering screen problem. Then I would be able to compare the different BIOS revisions. But future here means in a month or so. So please don't wait for that.

Works here with 2.6.31-20-generic and BIOS 10G. I also have the
prerelease updates set in sources... fwiw.

Both webcam (in cheese and skype) and usb (thumb drives, etc) work and
have since 2.6.31-20

Michael Fox wrote:
> Upgraded to kernel 2.6.31.20-generic, using the Update Manager. My BIOS
> was already the latest available (1.0G). I tested the webcam first in
> CrunchBang Linux to make sure it was enabled on my U100. Rebooted into
> UNR 9.10, checked to make sure uvcvideo wasn't still blacklisted (I had
> done that previously to make the usb ports work), and it wasn't.
> Unfortunately, cheese was still telling me "no camera found".
>
> Hoping that all was wrong was the video settings, I tried the "sudo
> gstreamer-properties" command in a terminal (note: it's gstreamer, not
> gstreamers), set the video output to X11/XShm/Xv, but it still doesn't
> work. I'm not willing to start over again with a clean install (10.04
> is coming out soon enough), but I would be interested to know if anyone
> else managed to get their Wind videocam working with some other tweak.
>
>

--
John Trostel

I'm on a U100 without an updated bios, did a clean install a few days back, updated from the standard repositories only, added firewall, virus, medibuntu, cheese and not much else, and everything is working fine. I've got both USB and camera.

JFYI: U100, BIOS 10g, 2.6.31-20-generic, Bison webcam works (when uvcvideo
is loaded) in cheese and gstreamer-properties test, Fn+F6 is never touched
(red lamp turns on automagically when program starts).

On Sun, Mar 7, 2010 at 09:44, Dmitri Petros <email address hidden>wrote:

> I'm on a U100 without an updated bios, did a clean install a few days
> back, updated from the standard repositories only, added firewall,
> virus, medibuntu, cheese and not much else, and everything is working
> fine. I've got both USB and camera.
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with
> bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-jno
"Tiger got to hunt, bird got to fly; Man got to sit and wonder, 'Why, why,
why?' Tiger got to sleep, bird got to land; Man got to tell himself he
understand." K,Vonnegut

lemmy (lemmyg) wrote :

Hi,
this bug appears again after 2.6.31-20.58 kernel update. I think that is a regression.

uname -a
Linux 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010 x86_64 GNU/Linux

Jorge Juan (jjchico) wrote :

Linux jjchico-netbook 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12
05:23:09 UTC 2010 i686 GNU/Linux

This one works right for me in my MSI Wind U100. Your kernel is 64
bits. What netbook is that? That is not a MSI U100 or clone for sure.

2010/3/21 lemmy <email address hidden>:
> Hi,
> this bug appears again after 2.6.31-20.58 kernel  update. I think that is a regression.
>
>
> uname -a
> Linux 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010 x86_64 GNU/Linux
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jorge Juan

lemmy (lemmyg) wrote :

Hi,
 I have Dell inspiron 1720 laptop. This issue appears again with message:
(20.021050) uvcvideo: failed to query (129) UVC probe control: -32( exp. 26)

uname -a
Linux 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010 x86_64 GNU/Linux

lsusb
Bus 002 Device 003: ID 05a9:2640 OmniVision Technologies, Inc. OV2640 Webcam

Mark Cariaga (mzc) wrote :
Download full text (4.8 KiB)

This bug was just originally affecting msi wind u100 netbooks, it
seems the regression has expanded or more people are just reporting
the bug

On Mar 21, 2010, at 4:01 PM, lemmy <email address hidden> wrote:

> Hi,
> I have Dell inspiron 1720 laptop. This issue appears again with
> message:
> (20.021050) uvcvideo: failed to query (129) UVC probe control: -32
> ( exp. 26)
>
>
> uname -a
> Linux 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010
> x86_64 GNU/Linux
>
> lsusb
> Bus 002 Device 003: ID 05a9:2640 OmniVision Technologies, Inc.
> OV2640 Webcam
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb
> with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Karmic: Fix Released
>
> Bug description:
> (This bug report supersedes bug #427327)
>
> On my MSI Wind with bison webcam (5986:0203) most of the time I boot
> karmic (2.6.31-10.35 kernel) I get these error in dmesg:
>
> [ 18.861916] ehci_hcd 0000:00:1d.7: force halt; handhake f8046424 00004000 00000000
> -> -110
> [ 18.877866] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877882] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877893] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877904] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877913] hub 1-0:1.0: cannot reset port 6 (err = -108)
> [ 18.877921] hub 1-0:1.0: Cannot enable port 6. Maybe the USB
> cable is bad?
>
> As a consequence the system will fail to suspend and recognize USB
> mass storage devices, which is a main problem.
>
> Further investigation shows it only happens when the uvcvideo module
> is loaded.
>
> System works well if uvcvideo is not loaded, either by disabling the
> webcam before rebooting (FN+F6) or by blacklisting the uvcvideo
> module in /etc/modconf.d/.
>
> If I blacklist uvcvideo and load it manually after boot (modprobe)
> the same thing happens: most of the time I get "cannot reset port"
> error and USB storage and suspend is non-functional from then on.
>
> In very rare occasions (1 in 10 or less) the system loads uvcvideo
> and does not give "cannot reset port" errors and all suspend, USB
> storage and webcam are functional.
>
> This is a regression since it does not happen with ubuntu 9.04: I
> have used 9.04 for months before and it also works well if I boot
> with 9.04-netbook-remix usb image.
>
> Considering that the MSI Wind and its several clones are quite
> popular and that this bug will make suspend and USB unfunctional, it
> may have a quite big impact on ubuntu users, specially the netbook-
> remix friends.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jjchico 1879 F.... pulseaudio
> CRDA: Error: [E...

Read more...

Kenny Schiff (kschiff) wrote :

I was having these issues on my MSI Wind U100 using Mint Helena, and went as far as rebuilding with Ubuntu Karmic with some problem. I eventually restored my Mint build. After updating to 2.6.31-20-generic-pae the problem went away.

Jorge Juan (jjchico) wrote :

Hi,

Do you get the "cannot reset port" error?
Do you have your whole USB system down after the error? This means USB
devices like pen drives will not work.

If not, yours is probably a different issue. Also note that yours is a
different webcam. You may search if uvcvideo has any issue with this
webcam in particular. You should google for "05a9:2640 uvcvideo".

2010/3/21 lemmy <email address hidden>:
> Hi,
>  I have Dell inspiron 1720 laptop. This issue appears again with message:
> (20.021050) uvcvideo: failed to query (129) UVC probe control: -32( exp. 26)
>
>
> uname -a
> Linux 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010 x86_64 GNU/Linux
>
> lsusb
> Bus 002 Device 003: ID 05a9:2640 OmniVision Technologies, Inc. OV2640 Webcam
>
> --
> regression: uvcvideo module makes "cannot reset port" error on usb with bison webcam (5986:0203): USB and suspend fails
> https://bugs.launchpad.net/bugs/435352
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jorge Juan

lemmy (lemmyg) wrote :

Hi,
I think this bug is not that I refer. my usb works correctly.
sorry.

Beni Cherniavsky (cben) wrote :

Also confirm fix: MSI U100, used to have exact same issue, now (2.6.31-20-generic) removed the blacklist and camera and USB work fine.

Dallman Ross (spamless) wrote :

I'm confused -- tried to read the thread in full but seem to find conflicting advice. I just installed Lucid for netbooks on my Medion Akoya MD97690.

I had trouble with the USB-stick installation, but I resolved it by installing with the kernel mode options "nomodeset" & "noapic" set -- http://ubuntuforums.org/showpost.php?p=9448024&postcount=24 .

The WLAN was iffy until I ran all the package updates. It now seems okay. All packages are updated fully. This is a 32-bit installation and chipset.

My problem is the internal webcam. It is not recognized at all. Running "gstreamer-properties" and the video tests show nothing recognized. Test V4L2: "cannot identify device '/dev/video0'." Test V4L shows no device at all (as opposed to not recognized).

Running "lsusb" shows no camera device listed. USB works fine in general. My USB mouse works. The USB stick from which I did the installation is visible.

I want to get the webcam working. What should I do? Help appreciated.

Dallman Ross (spamless) wrote :

Okay, I feel very dumb right now, but I fixed my webcam. Duh. There is a keyboard hardware-switch combo to turn it on or off. Fn+F6 (blue picture of a webcam is superimposed on F6) and you're good to go. This is on a Medion Akoyo E131x-series notebook.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers